// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var gysyApp = angular.module('gysyApp', ['ionic', 'modifyMemberModule', 'IMModule', 'httpHandlerModule', 'LoginModule', 'bookService', 'bookControllers',
  'GroupDiscussModule', 'setModule', 'hospitalReferralDetailModule', 'selectMemberModule', 'userInfoModule', 'photoImageModule', 'hospitalAddReferralModule',
  'communityAddReferralModule', 'communityReferralDetailModule', 'communityReferralListModule', 'hospitalReferralListModule', 'communityReceiveReferralModule',
  'hospitalReceiveReferralModule', 'hospitalReceiveReferralDetailModule', 'communityReceiveReferralDetailModule', 'communityReadImgModule', 'ComReadImgDetailModule',
  'ComAddReadImgModule', 'HosReadImgModule', 'HosReadImgDetailModule', 'hospitalReceiveDownModule', 'hospitalScanMessageModule', 'communityScanMessageModule',
  'communityReceiveDownModule','homePageModule','patientManageListModule','patientCureRecordModule','inspectReportModule','inspectReportDetailModule',
  'patientReportModule','reportDetailModule','greenRouteListModule','chatUtilityModule','resetPasswordModule','findPwdModule','patientRecordDetailModule']);
gysyApp.run(function ($ionicPlatform) {
  $ionicPlatform.ready(function () {
    if (window.cordova && window.cordova.plugins.Keyboard) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

      // Don't remove this line unless you know what you are doing. It stops the viewport
      // from snapping when text inputs are focused. Ionic handles this internally for
      // a much nicer keyboard experience.
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {
      StatusBar.styleDefault();
    }

  });
})
  .constant('$ionicLoadingConfig', {
    template: '<ion-spinner icon="ios" class="spinner-dark"></ion-spinner>'
  })
  .config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
  $ionicConfigProvider.platform.android.tabs.style('standard');
  $ionicConfigProvider.platform.android.tabs.position('bottom');
  $stateProvider
    .state("login", {
      url: "/login",
      templateUrl: "webPage/login.html",
      //controller: "loginController",
      cache: 'false'
    })
    .state("hospitalReferralDetail", {
      url: "/hospitalReferralDetail",
      templateUrl: "webPage/hospitalReferralDetail.html",
      //controller: "hospitalReferralDetailController",
      cache: 'false'
    })
    .state("discussGroupList", {
      url: "/discussGroupList",
      templateUrl: "webPage/discussGroupList.html",
      //controller: "discussGroupListController",
      cache: 'false'
    })
    .state("GroupDiscuss", {
      url: "/GroupDiscuss",
      templateUrl: "webPage/GroupDiscuss.html",
      //controller: "GroupDiscussController",
      cache: 'false'
    })
    .state("setting", {
      url: "/setting",
      templateUrl: "webPage/setting.html",
      //controller: "setController",
      cache: 'false'
    })
    .state("discussGroupMember", {
      url: "/discussGroupMember",
      templateUrl: "webPage/discussGroupMember.html",
      //controller: "discussGroupMemberController",
      cache: 'false'
    })
    .state("userInfo", {
      url: "/userInfo",
      templateUrl: "webPage/userInfo.html",
      cache: 'false'
    })
    .state("communityAddReferral", {
      url: "/communityAddReferral",
      templateUrl: "webPage/communityAddReferral.html",
      cache: "false"
    })
    .state("communityReferralDetail", {
      url: "/communityReferralDetail",
      templateUrl: "webPage/communityReferralDetail.html",
      //controller: "communityReferralDetailController",
      cache: "false"
    })
    .state("communityReferralList", {
      url: "/communityReferralList",
      templateUrl: "webPage/communityReferralList.html",
      //controller: "communityReferralListController",
      cache: "false"
    })
    .state("hospitalAddReferral", {
      url: "/hospitalAddReferral",
      templateUrl: "webPage/hospitalAddReferral.html",
      //controller: "hospitalAddReferralController",
      cache: "false"
    })
    .state("hospitalReferralList", {
      url: "/hospitalReferralList",
      templateUrl: "webPage/hospitalReferralList.html",
      //controller: "hospitalReferralListController",
      cache: "false"
    })
    .state("modifyMember", {
      url: "/modifyMember",
      templateUrl: "webPage/modifyMember.html",
      //controller: "modifyMemberController",
      cache: "false"
    })
    .state("selectMember", {
      url: "/selectMember",
      templateUrl: "webPage/selectMember.html",
      //controller: "selectMemberController",
      cache: 'false'
    })
    .state("photoImg", {
      url: "/photoImg",
      templateUrl: "webPage/photoImg.html",
      //controller: "photoImgController",
      cache: 'false'
    })
    .state("hospitalReceiveReferral", {
      url: "/hospitalReceiveReferral",
      templateUrl: "webPage/hospitalReceiveReferral.html",
      //controller:"hospitalReceiveReferralController",
      cache: 'false'
    })
    .state("communityReceiveReferral", {
      url: "/communityReceiveReferral",
      templateUrl: "webPage/communityReceiveReferral.html",
      //controller: "communityReceiveReferralController",
      cache: 'false'
    })
    .state("hospitalReceiveReferralDetail", {
      url: "/hospitalReceiveReferralDetail",
      templateUrl: "webPage/hospitalReceiveReferralDetail.html",
      //controller: "hospitalReceiveReferralDetailController",
      cache: 'false'
    })
    .state("communityReadImg", {
      url: "/communityReadImg",
      templateUrl: "webPage/communityReadImg.html",
      //controller: "communityReadImgController",
      cache: 'false'
    })
    .state("communityReceiveReferralDetail", {
      url: "/communityReceiveReferralDetail",
      templateUrl: "webPage/communityReceiveReferralDetail.html",
      //controller: "communityReceiveReferralDetailController",
      cache: 'false'
    })
    .state("ComReadImgDetail", {
      url: "/ComReadImgDetail",
      templateUrl: "webPage/ComReadImgDetail.html",
      //controller: "ComReadImgDetailController",
      cache: 'false'
    })
    .state("ComAddReadImg", {
      url: "/ComAddReadImg",
      templateUrl: "webPage/ComAddReadImg.html",
      //controller: "ComAddReadImgController",
      cache: 'false'
    })
    .state("HosReadImg", {
      url: "/HosReadImg",
      templateUrl: "webPage/HosReadImg.html",
      //controller: "HosReadImgController",
      cache: 'false'
    })
    .state("HosReadImgDetail", {
      url: "/HosReadImgDetail",
      templateUrl: "webPage/HosReadImgDetail.html",
      //controller: "HosReadImgDetailController",
      cache: 'false'
    })
    .state("hospitalReceiveDown", {
      url: "/hospitalReceiveDown",
      templateUrl: "webPage/hospitalReceiveDown.html",
      //controller: "hospitalReceiveDownController",
      cache: 'false'
    })
    .state("hospitalScanMessage", {
      url: "/hospitalScanMessage",
      templateUrl: "webPage/hospitalScanMessage.html",
      //controller: "hospitalScanMessageController",
      cache: 'false'
    })
    .state("communityScanMessage", {
      url: "/communityScanMessage",
      templateUrl: "webPage/communityScanMessage.html",
      //controller: "communityScanMessageController",
      cache: 'false'
    })
    .state("communityReceiveDown", {
      url: "/communityReceiveDown",
      templateUrl: "webPage/communityReceiveDown.html",
      //controller: "communityReceiveDownController",
      cache: 'false'
    })
    .state("loginIndex",{
      url:"/loginIndex",
      templateUrl:"webPage/loginIndex.html",
      cache: 'false'
    })
    //电子挂号
    .state('book', {
      url: '/book',
      templateUrl: 'webPage/book/book.html',
      cache: 'false'
    })
    //选择预约时间
    .state('bookTime', {
      url: '/bookTime',
      templateUrl: 'webPage/book/chat-time.html',
      cache: 'false'
    })
    //预约信息补充页
    .state('bookPage', {
      url: '/bookPage',
      templateUrl: 'webPage/book/book-page.html',
      cache: 'false'
    })
    //预约成功页
    .state('bookSuccess', {
      url: '/bookSuccess',
      templateUrl: 'webPage/book/book-success.html',
      cache: 'false'
    })
    .state('patientManageList',{
      url:'/patientManageList',
      templateUrl:'webPage/patientManageList.html',
      cache: 'false'
    })
    .state('patientCureRecord',{
      url:'/patientCureRecord',
      templateUrl:'webPage/patientCureRecord.html',
      cache: 'false'
    })
    .state('inspectReport',{
      url:'/inspectReport',
      templateUrl:'webPage/inspectReport.html',
      cache: 'true'
    })
    .state('inspectReportDetail',{
      url:'/inspectReportDetail',
      templateUrl:'webPage/inspectReportDetail.html',
      cache: 'false'
    })
    .state('patientReport',{
      url:'/patientReport',
      templateUrl:'webPage/patientReport.html',
      cache: 'true'
    })
    .state('reportDetail',{
      url:'/reportDetail',
      templateUrl:'webPage/reportDetail.html',
      cache: 'false'
    })
    .state('greenRouteList',{
      url:'/greenRouteList',
      templateUrl:'webPage/greenRouteList.html',
      cache: 'false'
    })
    .state('onlineAskList',{
      url:'/onlineAskList',
      templateUrl:'webPage/onlineAsking.html',
      cache: 'false'
    })
    .state('onlineAskTextDetail',{
      url:'/onlineAskTextDetail',
      templateUrl:'webPage/onlineTextAskDetail.html',
      cache: 'false'
    })
    .state('onlineRoom',{
      url:'/onlineRoom',
      templateUrl:'webPage/onlineRoom.html',
      cache: 'false'
    })
    .state('homePage',{
      url:'/homePage',
      templateUrl:'webPage/homePage.html',
      cache:'false'
    })
    .state('ionTabs',{
      url:'/ionTabs',
      //abstract: true,
      templateUrl:'webPage/ionTabs.html',
      cache:'false'
    })
    .state('ionTabs.homePage', {
      url: '/homePage',
      cache: false,
      views: {
        'homePage': {
          templateUrl: 'webPage/homePage.html'
        }
      }
    })
    .state('ionTabs.discussGroupList', {
      url: '/discussGroupList',
      cache: false,
      views: {
        'discussGroupList': {
          templateUrl: 'webPage/discussGroupList.html'
        }
      }
    })
    .state('ionTabs.userInfo', {
      url: '/userInfo',
      cache: false,
      views: {
        'userInfo': {
          templateUrl: 'webPage/setting.html'
        }
      }
    })
    .state('onlineAsk',{
      url:'/onlineAsk',
      templateUrl:'webPage/onlineAsking.html',
      cache:'false'
    })
    .state('resetPassword',{
      url:'/resetPassword',
      templateUrl:'webPage/resetPassword.html',
      cache:'false'
    })
    .state('findPwd',{
      url:'/findPwd',
      templateUrl:'webPage/findPwd.html',
      cache:'false'
    })
    .state('patientRecordDetail',{
      url:'/patientRecordDetail',
      templateUrl:'webPage/patientRecordDetail.html',
      cache:'false'
    })
    .state('fileDetail',{
      url:'/fileDetail',
      templateUrl:'webPage/fileDetail.html',
      cache:'false'
    })
    .state('attachment',{
      url:'/attachment',
      templateUrl:'webPage/attachment.html',
      cache:'false'
    })
    .state('selectReproductionFile',{
    url:'/selectReproductionFile',
    templateUrl:'webPage/selectReproductionFile.html',
    cache:'false'
  })
    .state('IVF',{
      url:'/IVF',
      templateUrl:'webPage/IVF.html',
      cache:'true'
    })
    .state('reproductionOther',{
      url:'/reproductionOther',
      templateUrl:'webPage/reproductionOther.html',
      cache:'true'
    })
    .state('communityReproductionList',{
      url:'/communityReproductionList',
      templateUrl:'webPage/communityReproductionList.html',
      cache:'true'
    })
    .state('communityAddReproduction',{
      url:'/communityAddReproduction',
      templateUrl:'webPage/communityAddReproduction.html',
      cache:'true'
    })
    .state('communityReproductionDetail',{
      url:'/communityReproductionDetail',
      templateUrl:'webPage/communityReproductionDetail.html',
      cache:'true'
    })
    .state('feedback',{
      url:'/feedback',
      templateUrl:'webPage/feedback.html',
      cache:'true'
    })
    .state('announce',{
      url:'/announce',
      templateUrl:'webPage/Announce.html',
      cache:'true'
    })
    .state('versions',{
      url:'/versions',
      templateUrl:'webPage/versions.html',
      cache:'true'
    })
  ;
  /*if (!window.localStorage['first'])
   {
   $urlRouterProvider.otherwise('/welcome/w_page');

   }
   else
   {
   $urlRouterProvider.otherwise('/tab/home');
   }*/
});

gysyApp.directive('hideTabs', function ($rootScope) {
  return {
    restrict: 'A',
    link: function (scope, element, hideTabs) {
      scope.$on('$ionicView.beforeEnter', function () {
        scope.$watch(hideTabs, function (value) {
          $rootScope.hideTabs = 'tabs-item-hide';
        });
      });
      scope.$on('$ionicView.beforeLeave', function () {
        scope.$watch(hideTabs, function (value) {
          $rootScope.hideTabs = 'tabs-item-hide';
        });
        scope.$watch('$destroy', function () {
          $rootScope.hideTabs = false;
        })
      });
    }
  };
});
gysyApp.directive('textareaAuto', function ($timeout) {
  return {
    restrict: 'A',
    link: function(scope, element, attr) {
      console.log(element[0].nodeName)
      //判断是否是    TEXTAREA
      if("TEXTAREA"==element[0].nodeName&&attr.textareaAuto){
        //自适应高度
        //$(element).autoTextarea()
        $(element).autosize();
      }
    }
  };
});
gysyApp.controller("indexController", function ($rootScope, $scope, $state, $ionicPopup, userService, httpHandlerService) {
  $("#footer").css("display", "block");


  $scope.goUpDiagnosisDetail = function () {
    $state.go("upDiagnosisDetail");
  };
  $scope.initialize = function(){
    $state.go("login");
  }


  $scope.goReferralList = function () {
    var currentUser = userService.getUser();
    currentUser.Body.IsTop == 1 ? $state.go("hospitalReferralList") : $state.go("communityReferralList");
  };

  $scope.goReceiveReferral = function () {
    var currentUser = userService.getUser();
    currentUser.Body.IsTop == 1 ? $state.go("hospitalReceiveReferral") : $state.go("communityReceiveReferral");

  };



    $scope.goLogin = function () {
      $state.go("login");
      $("#footer").css("display", "none");
    };

  $scope.goDiscussGroupList = function () {
    $state.go("discussGroupList");
  };

  $scope.test = function () {
    $ionicPopup.show({
        template: "<h1>程序猿正在加班加点的努力中。。。</h1>",
        title: "模块待定",
        scope: $scope,
        buttons: [

          {
            text: "确定",
            type: "button-royal",
          }
        ]
      })
      .then(function (res) {
      });
  };

  $scope.goSetting = function () {
    $state.go("setting");
  };
  $scope.goReadImg = function () {
    $state.go("communityReadImg");
  };
  $scope.goHome = function(){
    $state.go("homePage");
  };
  $scope.goGreenRouteList = function(){
    $state.go("greenRouteList");
  };
  $scope.exitApp = function () {
    $ionicPopup.alert(
      {
        title: '警告',
        template: '<h1 class="title">您将退出APP</h1>'
      }
    ).then(function (res) {
    });
    ionic.Platform.exitApp();
  };

  $scope.initialize();
});
/*gysyApp.controller("loginController",function($scope,$state,LoginService,LoginFactory){
 LoginFactory.initialize();
 $scope.user = {
 UserName: "",
 Password: ""
 };

 //回车登录
 $scope.enterLogin = function ($event) {
 var keyCode = window.event ? $event.keyCode : $event.which;
 if (keyCode == 13) {
 $scope.login();
 }
 };

 $scope.goUpForm=function(){
 LoginService.login($scope.user);
 //$state.go("upForm");
 };

 });*/
/*gysyApp.controller("upFormController", function ($scope, $state) {
 $("#footer").css("display","block");
 $scope.goReferralDetail = function () {
 $state.go("upDiagnosisDetail");
 };
 $scope.goSetting = function () {
 $state.go("setting");
 }
 });*/



