/**
 * Created by ylj on 2017/2/7.
 */
gysyApp.service("feedbackService",function(httpHandlerService,resourceFactory){
 var service = {};

  service.Feedback = function (data) {
    httpHandlerService.FeedbackRequest(data, resourceFactory.operateCode.insert,
      function (response) {
        if (response.Header.StatusCode == 0) {
          //alert("提交成功");
          navigator.notification.alert("提交成功", function () {
          }, "提示消息", "确定");
        } else {
          navigator.notification.alert("提交失败", function () {
          }, "提示消息", "确定");
          //alert("提交失败");
        }

        $("#Feedback").modal("hide");
      },
      function (response) {
        //alert("数据提交失败，请稍后重试");
        navigator.notification.alert("数据提交失败，请稍后重试", function () {
        }, "提示消息", "确定");
        $("#Feedback").modal("hide");
        console.log(response);
      }
    );
  };
  return service;
});

gysyApp.controller("feedbackController",function($scope,feedbackService,$ionicHistory){
  $scope.initialize = function(){
    $scope.feedback = {};
  };

  $scope.goBack = function () {
    $ionicHistory.goBack();
  };

  // 保存反馈意见
  $scope.saveFeedback = function () {
    if (!$scope.feedback.Subject) {
      //alert("请输入主题");
      navigator.notification.alert("请输入主题", function () {
      }, "提示消息", "确定");
      return;
    }
    var data = {
      Feedback: $scope.feedback
    };

    feedbackService.Feedback(data);

  };

  //意见类型
  $scope.FeedbackTypeList = [{
    Value: 0,
    Text: "建议"
  }, {
    Value: 1,
    Text: "Bug"
  }];


  $scope.initialize();
});
