/**
 * Created by ylj on 2016/10/24.
 */
var hospitalReferralDetailModule=angular.module("hospitalReferralDetailModule",['resourceModule']);

hospitalReferralDetailModule.factory("hospitalReferralDetailFactory",function(commonFunctionFactory){
  return {
    initialize: function () {
      //验证
      /* $.formValidator.initConfig({validatorGroup: "1", mode: "AlertTip"});
       $($("#CreateUserDetail input[name='UserName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: commonFunctionFactory.validate.validateRequired});
       $($("#CreateUserDetail input[name='password']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: commonFunctionFactory.validate.validateRequired});
       $($("#CreateUserDetail input[name='Phone']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: commonFunctionFactory.validate.validateMobile});*/
      // 日期控件
      commonFunctionFactory.date.createDatePicker(["dateOfBirth", "referralDate", "receiveDate"]);
    }
  }
});
hospitalReferralDetailModule.factory("hospitalReferralDetailFactory", function (commonFunctionFactory) {
  return {
    initialize: function () {
      // 日期控件
      commonFunctionFactory.date.createDatePicker(["startTime", "endTime", "TurnOutDate", "ReceiveDatetime", "TurnOutDateAsk", "TurnOutDateTime",
        "TurnDownDateTime", "TurnDownDate", "iptBirthday", "ReceiveDatetimeAsk"]);

      // 验证
      $.formValidator.initConfig({validatorGroup: "1", mode: "AlertTip"});
      $($("#InsertDiagnosisAsk input[name='PatientName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='PatientBirthday']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='FirstDoctorName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='TurnOutDate']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk select[name='ReplyCustomerID']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});

      $.formValidator.initConfig({validatorGroup: "2", mode: "AlertTip"});
      $($("#DiagnosisAskUser input[name='UpdatePatientName']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#DiagnosisAskUser input[name='UpdateFirstDoctorName']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#DiagnosisAskUser input[name='UpdateTurnOutDate']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});


      $("#loading_div").modal("show");
    },
    showHide: function (mark) {
      if (mark == "∨") {
        return "∧";
      }
      return "∨";
    }
  }
});
hospitalReferralDetailModule.service("hospitalReferralDetailService", function ($ionicLoading,$http, httpHandlerService, resourceFactory) {
  var service = {};
  //获取向上转院列表
  service.getDiagnosisAskList = function (data, $scope) {
    httpHandlerService.diagnosisAskRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          //$scope.setTotalItems(response.Body.TotalRows);
          //$scope.getPagination();
          $scope.DiagnosisAsk = response.Body.DiagnosisAskList;
          $scope.DiagnosisAskList = [];
          //$scope.changePaginationContent($scope.DiagnosisAsk, $scope.DiagnosisAskList);
        }
        $("#loading_div").modal("hide");
      },
      function (response) {
        console.log(response);
      }
    );
  };

  //修改向上操作
  service.UpdateDiagnosisAskList = function (data, $scope) {
    if (!$.formValidator.pageIsValid("2")) {
      return;
    }
    httpHandlerService.diagnosisAskRequest(data, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          service.getDiagnosisAskList($scope.searchPar, $scope);
          navigator.notification.alert("修改成功",function(){},"提示消息","确定");
        }
        else {
          navigator.notification.alert("修改失败",function(){},"提示消息","确定");
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };

  // 更新文件
/*  service.updateReadFile = function ($scope) {
    for (var i = 0; i < $scope.updatePatient.FileList.length; i++) {
      $scope.updatePatient.FileList[i].State = 2;
    }

    for (var i = 0; i < $scope.uploadedFiles.length; i++) {
      var upload = $scope.uploadedFiles[i];
      var exist = false;
      for (var j = 0; j < $scope.updatePatient.FileList.length; j++) {
        var current = $scope.updatePatient.FileList[j];
        if (upload.FileName == current.FileName) {
          current.State = 0;
          exist = true;
        }
      }

      if (!exist) {
        $scope.updatePatient.FileList.push(upload);
      }
    }
    service.UpdateDiagnosisAskList($scope.updatePatient, $scope);
  };*/

  //新增向上操作
  service.InsertDiagnosisAsk = function ($scope) {
    if (!$.formValidator.pageIsValid("1")) {
      return;
    }
    var data = {DiagnosisAsk: $scope.AddDiagnosisAsk.DiagnosisAsk, Patient: $scope.AddDiagnosisAsk.Patient, FileList: $scope.uploadedFiles};
    httpHandlerService.diagnosisAskRequest(data, resourceFactory.operateCode.insert,
      function (response) {
        if (response.Header.StatusCode == 0) {
          navigator.notification.alert("新增成功",function(){},"提示消息","确定");
          service.getDiagnosisAskList($scope.searchPar, $scope);
        } else {
          navigator.notification.alert("新增失败",function(){},"提示消息","确定");
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };

  // 上传文件
  service.uploadFiles = function (data, successCallback, errorCallback) {
    return httpHandlerService.uploadFilesRequest(data, successCallback, errorCallback)
  };

  // 文件上传路径base
  service.getFileBase = function () {
    return resourceFactory.address.fileDomain;
  };
  service.getDiagnosisReplyList = function (data, $scope) {
    httpHandlerService.diagnosisReplyRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          //$scope.setTotalItems(response.Body.TotalRows);
          //$scope.getPagination();
          $scope.DiagnosisReply = response.Body.DiagnosisReplyList;
          $scope.DiagnosisReplyList = [];
          //$scope.changePaginationContent($scope.DiagnosisReply, $scope.DiagnosisReplyList);
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };
  //修改向下转院
  service.updateDiagnosisReplyItem = function (data, $scope) {
    httpHandlerService.diagnosisReplyRequest(data, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $ionicLoading.hide();
          navigator.notification.alert("更新成功",function(){},"提示消息","确定");
          //alert("更新成功")
          service.getDiagnosisReplyList($scope.searchPar, $scope);
        }
        else {
          //alert("更新失败")
          $ionicLoading.hide();
          navigator.notification.alert("更新失败",function(){},"提示消息","确定");
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };

  service.updateReadFile = function ($scope) {

    for (var i = 0; i < $scope.updatePatient.FileList.length; i++) {
      $scope.updatePatient.FileList[i].State = 2;
    }

    for (var i = 0; i < $scope.uploadedFiles.length; i++) {
      var upload = $scope.uploadedFiles[i];
      var exist = false;
      for (var j = 0; j < $scope.updatePatient.FileList.length; j++) {
        var current = $scope.updatePatient.FileList[j];
        if (upload.FileName == current.FileName) {
          current.State = 0;
          exist = true;
        }
      }

      if (!exist) {
        $scope.updatePatient.FileList.push(upload);
      }
    }
    service.updateDiagnosisReplyItem($scope.updatePatient, $scope);
  };




  //获取医生列表
  service.getUser = function ($scope) {
    httpHandlerService.userRequest({}, resourceFactory.operateCode.get,
      function (result) {
        if (result != null && result.Header.StatusCode == 0) {
          $scope.userList = result.Body.UserList;
        }
      }, function (e) {
        console.log(e);
      }, 1);
  };

  //获取患者列表
  service.getPatientList = function ($scope) {
    httpHandlerService.diagnosisPatientRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.PatientComBox = response.Body.PatientList;
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };

  //获取机构排除自己查询
  service.getCustomerExclude = function ($scope) {
    httpHandlerService.topCustomerChooseRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.CustomerComBox = response.Body.CustomerList;
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };

  //科室层次结构
  service.getDoctorGroupByDepartment = function ($scope) {
    httpHandlerService.getDoctorGroupByDepartmentRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          for (var i = 0; i < response.Body.length; i++) {
            if (response.Body[i].Customer.IsTop == 1) {
              $scope.CustomeDropbox = response.Body[i];
            }
          }
        }
        else {
          console.error("没有任何用户");
        }
      },
      function (response) {
        console.error(response);
      }
    );
  };

  return service;
});
hospitalReferralDetailModule.controller("hospitalReferralDetailController",function($ionicLoading,$scope,$rootScope,$ionicPopup,resourceFactory,$state,$ionicHistory,hospitalReferralDetailFactory,hospitalReferralDetailService,enumFactory, commonFunctionFactory, paginationService, resourceService, userService){
  $scope.updatePatient=$rootScope.updatePatient;
  $scope.updatePatient.DiagnosisReply.TurnDownDate = new Date($scope.updatePatient.DiagnosisReply.TurnDownDate);
  $scope.uploadedFiles = JSON.parse(JSON.stringify($scope.updatePatient.FileList));
  //hospitalReferralDetailFactory.initialize();
// 初始化
  $scope.initialize = function () {
    $scope.updatePatient.Patient.Birthday = ($scope.updatePatient.Patient.Birthday).substr(0,10);
    $scope.currentUser = userService.getUser().Body;
    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate() - 30, 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      TurnOutDateBegin: resources.displayText.DateToDayText(beginDate),
      TurnOutDateEnd: resources.displayText.DateToDayText(endDate),
      PatientName: "",
      Status: ""
    };
    $scope.AddDiagnosisReply = {
      DiagnosisReply: {
        ReplyType: 0
      },
      Patient: {}
    };
    hospitalReferralDetailService.getUser();
    $scope.search();
    $scope.showSelect($scope);
  };

  //根据省份证号码绑定生日，性别
  $scope.IdentityCardBirthday = function (flg) {
    if (flg == 0) {
      var IdentityCard = $scope.AddDiagnosisReply.Patient.IdentityCard;
      var birthday = IdentityCard.substring(6, 14);
      var gender = IdentityCard.substring(16, 17);
      if (birthday.length == 8) {
        if (gender % 2 == 0) {
          $scope.AddDiagnosisReply.Patient.Birthday = resources.DataFormat.identityCardformat(birthday);
          $scope.AddDiagnosisReply.Patient.Gender = 0;
        } else {
          $scope.AddDiagnosisReply.Patient.Birthday = resources.DataFormat.identityCardformat(birthday);
          $scope.AddDiagnosisReply.Patient.Gender = 1;
        }
      }
    } else if (flg == 1) {
      var IdentityCard = $scope.updatePatient.Patient.IdentityCard;
      var birthday = IdentityCard.substring(6, 14);
      var gender = IdentityCard.substring(16, 17);
      if (birthday.length == 8) {
        if (gender / 2 == 0) {
          $scope.updatePatient.Patient.Birthday = resources.DataFormat.identityCardformat(birthday);
          $scope.updatePatient.Patient.Gender = 0;
        } else {
          $scope.updatePatient.Patient.Birthday = resources.DataFormat.identityCardformat(birthday);
          $scope.updatePatient.Patient.Gender = 1;
        }
      }
    }
  };

  //修改数据
  $scope.UpdateDiagnosisReplyItem = function(){
    var RegCard = /^[1-9]{1}[0-9]{14}$|^[1-9]{1}[0-9]{16}([0-9]|[xX])$/;
    if ($scope.updatePatient.Patient.Name == "" || $scope.updatePatient.Patient.Name == null) {
      //alert("请输入患者姓名，此项为必选项！");
      navigator.notification.alert("请输入患者姓名，此项为必选项！",function(){},"提示消息","确定");
    }/*else if($scope.AddDiagnosisReply.Patient.Gender == "" || $scope.AddDiagnosisReply.Patient.Gender ==null){
     alert("请选择患者性别，此项为必选项！");
     }*/else if($scope.updatePatient.Patient.Birthday == "" || $scope.updatePatient.Patient.Birthday ==null){
      //alert("请选择患者出生日期，此项为必选项！");
      navigator.notification.alert("请选择患者出生日期，此项为必选项！",function(){},"提示消息","确定");
    } else if ($scope.updatePatient.Patient.IdentityCard == "" || $scope.updatePatient.Patient.IdentityCard == null || RegCard.test($scope.updatePatient.Patient.IdentityCard) == false) {
      //alert("请输入正确格式的身份证号，此项为必选项！");
      navigator.notification.alert("请输入正确格式的身份证号，此项为必选项！",function(){},"提示消息","确定");
    }/*else if($scope.AddDiagnosisReply.Patient.PatientType == "" || $scope.AddDiagnosisReply.Patient.PatientType ==null){
     alert("请输入患者类型，此项为必选项！");
     }*/ else if ($scope.updatePatient.DiagnosisReply.TreatDoctorID == "" || $scope.updatePatient.DiagnosisReply.TreatDoctorID == null) {
      //alert("请选择经治医生！");
      navigator.notification.alert("请选择经治医生！",function(){},"提示消息","确定");
    } else if ($scope.updatePatient.DiagnosisReply.TurnDownDate == "" || $scope.updatePatient.DiagnosisReply.TurnDownDate == null) {
      //alert("请输入下转日期！");
      navigator.notification.alert("请输入下转日期！",function(){},"提示消息","确定");
    } else if ($scope.updatePatient.DiagnosisReply.AskCustomerID == "" || $scope.updatePatient.DiagnosisReply.AskCustomerID == null) {
      //alert("请选择转入医院！");
      navigator.notification.alert("请选择转入医院！",function(){},"提示消息","确定");
    }else {
      $ionicLoading.show({
        content: 'Loading',
        animation: 'fade-in',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      hospitalReferralDetailService.updateReadFile($scope);
    }

  };

  //初始化性别
  $scope.GenderList = resources.factoryList;

  //初始化转院类型
  $scope.AskTypeList = enumFactory.AskType;

  //人员类型
  $scope.PatientTypeList = enumFactory.PatientTypeList;

  //时间
  $scope.getDateTimeType = function (date) {
    return resources.displayText.DateToDayText(date);
  };

  /*//计算年龄
  $scope.calculateAge = function (date) {
    var data = $scope.getDateTimeType(date);
    return resources.CommonFun.calculateAge(data);
  };*/

  /*//人员类型
  $scope.litPatientType = function (type) {
    return commonFunctionFactory.displayText.PatientTypeList(type);
  };*/
/*
  //转院管理状态
  $scope.DiagnosisAskStatus = function (status) {
    return commonFunctionFactory.displayText.DiagnosisAskStatus(status);
  };*/

  /*//转院类型
  $scope.AskTypeText = function (state) {
    return commonFunctionFactory.displayText.AskTypeText(state);
  };*/

  /*搜索事件*/
  $scope.search = function () {
    hospitalReferralDetailService.getDiagnosisAskList($scope.searchPar, $scope);
  };

  /*/!*自定义查询事件*!/
  $scope.customSearch = function () {
    $scope.searchPar.Name = $scope.searchPar.PatientName;
    $scope.searchPar.BeginTime = $scope.searchPar.TurnOutDateBegin;
    $scope.searchPar.EndTime = $scope.searchPar.TurnOutDateEnd;
    $scope.search();
  };*/

  /*/!*最新时间查询事件*!/
  $scope.newTimePatientSearch = function () {
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      Name: "",
      Status: 0 // 未提交
    };
    $scope.search();
  };*/

  /*/!*今日患者事件*!/
  $scope.todayPatientSearch = function () {
    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      BeginTime: commonFunctionFactory.displayText.DateToTimeText(beginDate),
      EndTime: commonFunctionFactory.displayText.DateToTimeText(endDate),
      BeginDateText: commonFunctionFactory.displayText.DateToDayText(beginDate),
      EndDateText: commonFunctionFactory.displayText.DateToDayText(endDate),
      Name: ""
    };

    $scope.search();
  };*/

 /* /!*更多查询按钮*!/
  $scope.isTrue = false;
  $scope.toggle = function () {
    $scope.isTrue = !$scope.isTrue;
  };*/

 /* //修改状态
  $scope.UpDiagnosisStatus = function (item, Status) {
    $scope.updatedDiagnosisReply = JSON.parse(JSON.stringify(item));
    $scope.updatedDiagnosisReply.DiagnosisAsk.Status = Status;
    hospitalReferralDetailService.UpdateDiagnosisAskList($scope.updatedDiagnosisReply, $scope);
  };*/

 /* //修改数据
  $scope.submitDiagnosisAsk = function (flot) {
    if (flot == "0") {
      hospitalReferralDetailService.updateReadFile($scope);
    }
    if (flot == "1") {
      hospitalReferralDetailService.UpdateDiagnosisAskList($scope.updateDiagnosisAsk, $scope);
    }
    if (flot == "2") {
      hospitalReferralDetailService.UpdateDiagnosisAskList($scope.updateDiagnosisReply, $scope);
    }
  };*/

  /*//新增数据
  $scope.InsertDiagnosisAsk = function () {
    hospitalReferralDetailService.InsertDiagnosisAsk($scope);
  };*/

  //下拉框查询
  $scope.showSelect = function ($scope) {
    //获取患者列表
    hospitalReferralDetailService.getPatientList($scope);
    //获取医生列表
    hospitalReferralDetailService.getUser($scope);
    //获取机构列表
    hospitalReferralDetailService.getCustomerExclude($scope);
  };

  /*// 显示用户新增详情页面
  $scope.showDiagnosisAsk = function () {
    //默认绑定值;
    $scope.engineer = {
      PatientType: 0,
      Gender: 1,
      AskType: 0,
    };
    $scope.cleanModal();
  };*/

  //列表编辑显示隐藏
  $scope.showDetailed = function (type) {
    if (type == "1") {
      $scope.DetailedShow = true;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = true;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;
    } else if (type == "2") {
      $scope.DiagnosisAskShow = true;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = true;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.DiagnosisAsk != null && $scope.updatePatient.Patient != null) {
        $scope.hide = true;
      }

    } else if (type == "3") {
      $scope.DiagnosisReplyShow = true;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = true;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.DiagnosisReply == null) {
        $scope.hide = false;
      }

    } else if (type == "0") {
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.fileDetailShow = true;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = true;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.FileList != null) {
        $scope.hide = true;
      }
    }
  };

 /* // 动态查询患者
  $scope.changePatientLevel = function () {
    $scope.PatientComBoxList = [];
    if ($scope.AddDiagnosisAsk.Patient.Name == "") {
      return;
    }
    for (var i = 0; i < $scope.PatientComBox.length; i++) {
      var temp = $scope.PatientComBox[i];
      if (temp.Name.indexOf($scope.AddDiagnosisAsk.Patient.Name) > -1) {
        $scope.PatientComBoxList.push(temp);
      }
    }
  };*/

  /*// 加载患者数据
  $scope.searchTemplateClick = function (temp) {
    $scope.AddDiagnosisAsk.Patient.Name = temp.Name;
    $scope.AddDiagnosisAsk.Patient.Phone = temp.Phone;
    $scope.AddDiagnosisAsk.Patient.Gender = temp.Gender;
    $scope.AddDiagnosisAsk.Patient.Birthday = resources.displayText.DateToDayText(temp.Birthday);
    $scope.AddDiagnosisAsk.Patient.IdentityCard = temp.IdentityCard;
    $scope.AddDiagnosisAsk.Patient.Address = temp.Address;
    $scope.AddDiagnosisAsk.Patient.UserID = temp.PatientID;
    $scope.AddDiagnosisAsk.Patient.PatientType = temp.PatientType;
    $scope.PatientComBoxList = [];
  };*/

  /*//动态查询医生
  $scope.changeUserLevel = function (flg) {
    if (flg == "0") {
      $scope.InsertUserComBoxList = [];
      if ($scope.AddDiagnosisAsk.DiagnosisAsk.FirstDoctorName == "") {
        return;
      }
      for (var i = 0; i < $scope.userList.length; i++) {
        var temp = $scope.userList[i];
        if (temp.Name.indexOf($scope.AddDiagnosisAsk.DiagnosisAsk.FirstDoctorName) > -1) {
          $scope.InsertUserComBoxList.push(temp);
        }
      }
    }
    if (flg == "1") {
      $scope.UpdateUserComBoxList = [];
      if ($scope.updatePatient.DiagnosisAsk.FirstDoctorName == "") {
        return;
      }
      for (var i = 0; i < $scope.userList.length; i++) {
        var temp = $scope.userList[i];
        if (temp.Name.indexOf($scope.updatePatient.DiagnosisAsk.FirstDoctorName) > -1) {
          $scope.UpdateUserComBoxList.push(temp);
        }
      }
    }
    if (flg == "2") {
      $scope.UpdateReceiveDoctor = [];
      if ($scope.updatePatient.DiagnosisAsk.ReceiveDoctorName == "") {
        return;
      }
      for (var i = 0; i < $scope.userList.length; i++) {
        var temp = $scope.userList[i];
        if (temp.Name.indexOf($scope.updatePatient.DiagnosisAsk.ReceiveDoctorName) > -1) {
          $scope.UpdateReceiveDoctor.push(temp);
        }
      }
    }
    if (flg == "3") {
      $scope.UpdateDiagnosis = [];
      if ($scope.updateDiagnosisAsk.DiagnosisAsk.FirstDoctorName == "") {
        return;
      }
      for (var i = 0; i < $scope.userList.length; i++) {
        var temp = $scope.userList[i];
        if (temp.Name.indexOf($scope.updateDiagnosisAsk.DiagnosisAsk.FirstDoctorName) > -1) {
          $scope.UpdateDiagnosis.push(temp);
        }
      }
    }
    if (flg == "4") {
      $scope.UpReceiveDoctor = [];
      if ($scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDoctorName == "") {
        return;
      }
      for (var i = 0; i < $scope.userList.length; i++) {
        var temp = $scope.userList[i];
        if (temp.Name.indexOf($scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDoctorName) > -1) {
          $scope.UpReceiveDoctor.push(temp);
        }
      }
    }
  };*/

/*  //绑定首诊医生数据
  $scope.searchUserClick = function (temp, flg) {
    if (flg == "0") { //首诊医生新增
      $scope.AddDiagnosisAsk.DiagnosisAsk.FirstDoctorID = temp.UserID;
      $scope.AddDiagnosisAsk.DiagnosisAsk.FirstDoctorName = temp.Name;
      $scope.InsertUserComBoxList = [];
    }
    if (flg == "1") {
      $scope.updatePatient.DiagnosisAsk.FirstDoctorID = temp.UserID;
      $scope.updatePatient.DiagnosisAsk.FirstDoctorName = temp.Name;
      $scope.UpdateUserComBoxList = [];
    }
    if (flg == "2") {
      $scope.updatePatient.DiagnosisAsk.ReceiveDoctorID = temp.UserID;
      $scope.updatePatient.DiagnosisAsk.ReceiveDoctorName = temp.Name;
      $scope.UpdateReceiveDoctor = [];
    }
    if (flg == "3") {
      $scope.updateDiagnosisAsk.DiagnosisAsk.FirstDoctorID = temp.UserID;
      $scope.updateDiagnosisAsk.DiagnosisAsk.FirstDoctorName = temp.Name;
      $scope.UpdateDiagnosis = [];
    }
    if (flg == "4") {
      $scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDoctorName = temp.UserID;
      $scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDoctorName = temp.Name;
      $scope.UpReceiveDoctor = [];
    }
  };*/

  /*//科室
  $scope.focusShow = function ($event, id) {
    resourceService.focusShow($event, id);
  };*/

  /*$scope.blurHide = function (name, id) {
    resourceService.blurHide(name, id);
  };*/

  /*$scope.inactiveClick = function ($event) {
    resourceService.inactiveClick($event);
  };*/

  //hospitalReferralDetailService.getDoctorGroupByDepartment($scope, {IsDetail: 0});//科室医生查询

 /* /!*清空新增患者*!/
  $scope.cleanModal = function () {
    $scope.updateDiagnosisAsk = {
      UploadState: "∨",
      DetailState: "∨",
      RemarkState: "∨",
      ApprovalState: "∨",
      Gender: 1,
      Status: 0
    };
    $scope.uploadedFiles = [];
  };*/

  /*/!*点击详情*!/
  $scope.showDetail = function (item, type) {
    if (type == "0") {
      $scope.updatePatient = JSON.parse(JSON.stringify(item));
      $scope.updatePatient.DiagnosisAsk.TurnOutDate = $scope.getDateTimeType($scope.updatePatient.DiagnosisAsk.TurnOutDate);
      $scope.updatePatient.DiagnosisAsk.ReceiveDate = $scope.updatePatient.DiagnosisAsk.ReceiveDate == null ? "" : $scope.getDateTimeType($scope.updatePatient.DiagnosisAsk.ReceiveDate);
      $scope.updatePatient.Patient.Birthday = $scope.getDateTimeType($scope.updatePatient.Patient.Birthday);
      //排除没有下转单
      if ($scope.updatePatient.DiagnosisReply != null) {
        $scope.updatePatient.DiagnosisReply.TurnDownDate = $scope.getDateTimeType($scope.updatePatient.DiagnosisReply.TurnDownDate);
      }
      $('#DiagnosisAskUser').modal('show');
      $scope.uploadedFiles = JSON.parse(JSON.stringify($scope.updatePatient.FileList));
      $scope.createFileList($scope.uploadedFiles);
      $scope.hide = true;  //初始化显示保存按钮
    }
    if (type == "1") {
      $scope.updateDiagnosisAsk = JSON.parse(JSON.stringify(item));
      $scope.updateDiagnosisAsk.DiagnosisAsk.TurnOutDate = $scope.getDateTimeType($scope.updateDiagnosisAsk.DiagnosisAsk.TurnOutDate);
      $scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDate = $scope.getDateTimeType($scope.updateDiagnosisAsk.DiagnosisAsk.ReceiveDate);
      $('#DiagnosisAskSelect').modal('show');
    }
    if (type == "2") {
      $scope.updateDiagnosisReply = JSON.parse(JSON.stringify(item));
      if ($scope.updateDiagnosisReply.DiagnosisReply != null) {
        $scope.updateDiagnosisReply.DiagnosisReply.TurnDownDate = $scope.getDateTimeType($scope.updateDiagnosisReply.DiagnosisReply.TurnDownDate);
        $('#DiagnosisAskReply').modal('show');
      }
    }

    $scope.showDetailed("1");
  };*/

  // 页面显示相关
  $scope.showEachReadFile = function (file) {
    if(file.SourceName.length>6){
      file.SourceName = (file.SourceName).substr(0,6) +"...";
    };
    if (file.FileName.indexOf(".jpg") > -1 || file.FileName.indexOf(".png") > -1||file.FileName.indexOf(".jpeg") > -1) {
      return hospitalReferralDetailService.getFileBase() + file.CustomerID + "/" + file.FileName;
    } else {
      return "img/attachment_icon.png";
    }
  };

  /*$scope.openEachReadFile = function (file) {
    var detailFile = {
      SourceName: file.SourceName,
      Description: file.Description
    };
    var url = file.FileName;
    if (url.indexOf(".png") > -1 || url.indexOf(".jpg") > -1) {
      detailFile.ShowUrl = hospitalReferralDetailService.getFileBase() + file.CustomerID + "/" + url;
    } else {
      detailFile.ShowUrl = "../images/attachment_icon.png";
      detailFile.ShowFile = hospitalReferralDetailService.getFileBase() + file.CustomerID + "/" + url;
      detailFile.IsPDF = true;
    }

    $scope.detailFile = detailFile;
    $("#fileDetail").modal("show");
  };*/

  /*//上转单
  $scope.showUpdateDiagnosisAsk = function () {
    $scope.updateDiagnosisAsk.UploadState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.UploadState);
    if ($scope.updateDiagnosisAsk.ApprovalState == "∧") {
      $scope.updateDiagnosisAsk.ApprovalState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.ApprovalState);
    }
    if ($scope.updateDiagnosisAsk.DetailState == "∧") {
      $scope.updateDiagnosisAsk.DetailState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.DetailState);
    }
  };*/

  /*//基本信息
  $scope.showUpdateDetail = function () {
    $scope.updateDiagnosisAsk.DetailState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.DetailState);
    if ($scope.updateDiagnosisAsk.ApprovalState == "∧") {
      $scope.updateDiagnosisAsk.ApprovalState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.ApprovalState);
    }
    if ($scope.updateDiagnosisAsk.UploadState == "∧") {
      $scope.updateDiagnosisAsk.UploadState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.UploadState);
    }
  };*/

  /*//附加资料
  $scope.showUpdateApproval = function () {
    $scope.updateDiagnosisAsk.ApprovalState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.ApprovalState);
    if ($scope.updateDiagnosisAsk.UploadState == "∧") {
      $scope.updateDiagnosisAsk.UploadState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.UploadState);
    }
    if ($scope.updateDiagnosisAsk.DetailState == "∧") {
      $scope.updateDiagnosisAsk.DetailState = hospitalReferralDetailFactory.showHide($scope.updateDiagnosisAsk.DetailState);
    }
  };*/

  /*//性别
  $scope.GenderText = function (state) {
    return commonFunctionFactory.displayText.GenderText(state);
  };*/

 /* //患者状态
  $scope.DiagnosisUpStatusText = function (status) {
    return commonFunctionFactory.displayText.PatientStatusText(status);
  };*/

/*  // 点击具体图片
  $scope.showItemDetail = function (item) {
    $scope.detailFile = item;
    $("#fileDetail").modal("show");
  };*/

  /*// 上传资料 Begin
  $scope.selectFile = function () {
    $("#selectFile").click();
  };*/

/*  //上传
  $scope.changeFile = function (files) {
    hospitalReferralDetailService.uploadFiles(files, function (data) {
        if (data == null || data.Body == null) {
          navigator.notification.alert("上传失败",function(){},"提示消息","确定");
        }
        for (var i = 0; i < data.Body.length; i++) {
          var file = data.Body[i];
          file.CustomerID = $scope.currentUser.CustomerID;
          $scope.uploadedFiles.push(data.Body[i]);
        }

        $scope.createFileList($scope.uploadedFiles);
      },
      function (data) {
        navigator.notification.alert("上传失败",function(){},"提示消息","确定");
      });
  };*/
  $scope.uploadFile=function(){
      // 从指定来源检索图像文件位置
    var options = {
      //这些参数可能要配合着使用，比如选择了sourcetype是0，destinationtype要相应的设置
      quality: 100,                                            //相片质量0-100
      destinationType: Camera.DestinationType.DATA_URL,        //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
      sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,       //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
      allowEdit: false,                                        //在选择之前允许修改截图
      encodingType: Camera.EncodingType.JPEG,                   //保存的图片格式： JPEG = 0, PNG = 1
      targetWidth: 200,                                        //照片宽度
      targetHeight: 200,                                       //照片高度
      mediaType: 0,                                             //可选媒体类型：圖片=0，只允许选择图片將返回指定DestinationType的参数。 視頻格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
      cameraDirection: 0,                                       //枪后摄像头类型：Back= 0,Front-facing = 1
      popoverOptions: CameraPopoverOptions,
      saveToPhotoAlbum: true                                   //保存进手机相册
    };
    navigator.camera.getPicture(function onPhotoDataSuccess(imageData) {
      var bstr = atob(imageData);
      var n = bstr.length;
      var u8arr = new Uint8Array(n);
      while(n--) {
        u8arr[n] = bstr.charCodeAt(n);
      }

      var blob = new Blob([u8arr.buffer], {type: 'image/jpeg'});
      blob.fileName = new Date().getTime() + ".jpg";

        hospitalReferralDetailService.uploadFiles(blob, function (data) {
            if (data == null || data.Body == null) {
              navigator.notification.alert("上传失败",function(){},"提示消息","确定");
            }
            for (var i = 0; i < data.Body.length; i++) {
              var file = data.Body[i];
              file.SourceName = blob.fileName;
              file.CustomerID = $scope.currentUser.CustomerID;
              $scope.uploadedFiles.push(data.Body[i]);
            }
            $scope.createFileList($scope.uploadedFiles);
          },
          function (data) {
            navigator.notification.alert("上传失败",function(){},"提示消息","确定");
          });
      //};
    }, function(err) {
      navigator.notification.alert("未选择任何图片",function(){},"提示消息","确定");
    }, options);
  };

  //图片
  $scope.createFileList = function (files) {
    if (files == null || files.length < 0) {
      return null;
    }

    for (var i = 0; i < files.length; i++) {
      var max = 10;
      var showName = files[i].SourceName;
      if (showName != "") {
        if (showName.length > max) {
          showName = showName.substr(0, max - 3) + "...";
        }

        files[i].ShowName = showName;
        var url = files[i].FileName;
        if (url.indexOf(".png") > -1 || url.indexOf(".jpg") > -1 || url.indexOf(".jpeg") > -1) {
          files[i].ShowUrl = hospitalReferralDetailService.getFileBase() + files[i].CustomerID + "/" + url;
          files[i].Class = "icon-picture";
        } else {
          files[i].ShowUrl = "../images/attachment_icon.png";
          files[i].ShowFile = hospitalReferralDetailService.getFileBase() + files[i].CustomerID + "/" + url;
          files[i].IsPDF = true;
          files[i].Class = "icon-file";
        }
      }
    }
  };

  //删除图片
  $scope.deleteFile = function (item) {

    var list = $scope.uploadedFiles;
    var newList = [];
    for (var i = 0; i < list.length; i++) {
      if (list[i].FileName != item.FileName) {
        newList.push(list[i]);
      }
    }
    $scope.uploadedFiles = newList;
    $scope.createFileList($scope.uploadedFiles);
  };

  // 分页相关
  $scope.$watch('conf.currentPage', function () {
    if ($scope.changePaginationContent) {
      $scope.DiagnosisAskList = [];
      $scope.changePaginationContent($scope.DiagnosisAsk, $scope.DiagnosisAskList);
    }
  });


  $scope.goBack=function(){
    $ionicHistory.goBack();
  };

  /*$scope.goSetting = function () {
 /!*   $state.go("setting");
     };
     *!/*/

  $scope.showPopup = function(title, modelName) {
    var template = "<input type='text' ng-model='" + modelName+"'>";
    $ionicPopup.show({
        template: template,
        title: title,
        scope: $scope,
        buttons: [
          { text: "确定",
          }
        ]
      })
      .then(function (res) {
      });
  };

  /*附件样式start*/
  $scope.bigImage = false;    //初始默认大图是隐藏的
  $scope.hideBigImage = function () {
    $scope.bigImage = false;
  };
  var ScreenHeight = window.screen.height;
  $scope.showBigImage = function(imageName){
    $scope.Url = imageName;                   //$scope定义一个变量Url，这里会在大图出现后再次点击隐藏大图使用
    $scope.bigImage = true;
    var rightDisplay = document.getElementById("rightDisplay");
    rightDisplay.style.height = ScreenHeight+"px";
  };
  /*附件样式end*/
  //下载图片
  $scope.downloadImg = function(file){
    navigator.notification.confirm('您确定要下载吗？', showConfirm, '下载文件', '确定,取消');
    var url = hospitalReferralDetailService.getFileBase() + file.CustomerID + "/" + file.FileName;
    function showConfirm(button) {
      if( button == 1 ) {
        download.downloadFile(url);
      } else {
      }
    }
  };

  $scope.initialize();
})

angular.bootstrap($("#hospitalReferralDetail"), ["hospitalReferralDetailModule"]);

