/**
 * Created by ylj on 2016/10/24.
 */
var hospitalReferralListModule = angular.module("hospitalReferralListModule", ["httpHandlerModule", "resourceModule", "PaginationModule", "UserModule"]);
hospitalReferralListModule.service("hospitalReferralListService", function ($http, httpHandlerService, resourceFactory) {
  var service = {};
  //获取向上转院列表
  service.getDiagnosisReplyList = function (data, $scope) {
    httpHandlerService.diagnosisReplyRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.DiagnosisReplyList = response.Body.DiagnosisReplyList;
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };
/*  //修改向上操作
  service.UpdateDiagnosisAskList = function (data, $scope) {
    if (!$.formValidator.pageIsValid("2")) {
      return;
    }
    httpHandlerService.diagnosisAskRequest(data, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          service.getDiagnosisAskList($scope.searchPar, $scope);
          $("#DiagnosisAskUser,#DiagnosisAskSelect,#DiagnosisAskReply").modal("hide");
          navigator.notification.alert("修改成功", function () {
          }, "提示消息", "确定");
        }
        else {
          navigator.notification.alert("修改失败", function () {
          }, "提示消息", "确定");
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };

  // 更新文件
  service.updateReadFile = function ($scope) {
    for (var i = 0; i < $scope.updatePatient.FileList.length; i++) {
      $scope.updatePatient.FileList[i].State = 2;
    }

    for (var i = 0; i < $scope.uploadedFiles.length; i++) {
      var upload = $scope.uploadedFiles[i];
      var exist = false;
      for (var j = 0; j < $scope.updatePatient.FileList.length; j++) {
        var current = $scope.updatePatient.FileList[j];
        if (upload.FileName == current.FileName) {
          current.State = 0;
          exist = true;
        }
      }

      if (!exist) {
        $scope.updatePatient.FileList.push(upload);
      }
    }
    service.UpdateDiagnosisAskList($scope.updatePatient, $scope);
  };*/

 /* //新增向上操作
  service.InsertDiagnosisAsk = function ($scope) {
    if (!$.formValidator.pageIsValid("1")) {
      return;
    }
    var data = {
      DiagnosisAsk: $scope.AddDiagnosisAsk.DiagnosisAsk,
      Patient: $scope.AddDiagnosisAsk.Patient,
      FileList: $scope.uploadedFiles
    };
    httpHandlerService.diagnosisAskRequest(data, resourceFactory.operateCode.insert,
      function (response) {
        if (response.Header.StatusCode == 0) {
          navigator.notification.alert("新增成功", function () {
          }, "提示消息", "确定");
          service.getDiagnosisAskList($scope.searchPar, $scope);
        } else {
          navigator.notification.alert("新增失败", function () {
          }, "提示消息", "确定");
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };*/

  /*// 上传文件
  service.uploadFiles = function (data, successCallback, errorCallback) {
    return httpHandlerService.uploadFilesRequest(data, successCallback, errorCallback)
  };*/

  /*// 文件上传路径base
  service.getFileBase = function () {
    return resourceFactory.address.fileDomain;
  };*/

  //获取医生列表
  service.getUser = function ($scope) {
    httpHandlerService.userRequest({}, resourceFactory.operateCode.get,
      function (result) {
        if (result != null && result.Header.StatusCode == 0) {
          $scope.userList = result.Body.UserList;
        }
      }, function (e) {
        console.log(e);
      }, 1);
  };

  //获取患者列表
  service.getPatientList = function ($scope) {
    httpHandlerService.diagnosisPatientRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.PatientComBox = response.Body.PatientList;
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };

  //获取机构排除自己查询
  service.getCustomerExclude = function ($scope) {
    httpHandlerService.topCustomerChooseRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.CustomerComBox = response.Body.CustomerList;
        }
      },
      function (response) {
        console.log(response);
      }, 1);
  };

  /*//科室层次结构
  service.getDoctorGroupByDepartment = function ($scope) {
    httpHandlerService.getDoctorGroupByDepartmentRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          for (var i = 0; i < response.Body.length; i++) {
            if (response.Body[i].Customer.IsTop == 1) {
              $scope.CustomeDropbox = response.Body[i];
            }
          }
        }
        else {
          console.error("没有任何用户");
        }
      },
      function (response) {
        console.error(response);
      }
    );
  };*/

/*  /!*删除患者*!/
  service.deletePatient = function (chat, $scope) {
    httpHandlerService.chatRequest({DiagnosisAskList: [chat]}, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          service.getChatList({FunctionType: 1}, $scope);
          navigator.notification.alert("患者已删除", function () {
          }, "提示消息", "确定");
        }
        else {
          navigator.notification.alert("删除患者失败", function () {
          }, "提示消息", "确定");
        }
      },
      function (response) {
        navigator.notification.alert("删除失败", function () {
        }, "提示消息", "确定");
      }
    );
  };*/
/*
  service.submitDeleteUpdateChat = function (chat, $scope) {
    chat.State = 2;
    httpHandlerService.chatRequest({ChatList: [chat]}, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          service.getChatList({FunctionType: 1}, $scope);
          navigator.notification.alert("会诊组已删除", function () {
          }, "提示消息", "确定");
        }
        else {
          navigator.notification.alert("删除失败", function () {
          }, "提示消息", "确定");
        }
      },
      function (response) {
        navigator.notification.alert("删除失败", function () {
        }, "提示消息", "确定");
      }
    );
  };*/
  return service;
});
/*hospitalReferralListModule.factory("hospitalReferralListFactory", function (commonFunctionFactory) {
  return {
    initialize: function () {
      // 日期控件
      commonFunctionFactory.date.createDatePicker(["startTime", "endTime", "TurnOutDate", "ReceiveDatetime", "TurnOutDateAsk", "TurnOutDateTime",
        "TurnDownDateTime", "TurnDownDate", "iptBirthday", "ReceiveDatetimeAsk"]);

      // 验证
      $.formValidator.initConfig({validatorGroup: "1", mode: "AlertTip"});
      $($("#InsertDiagnosisAsk input[name='PatientName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='PatientBirthday']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='FirstDoctorName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk input[name='TurnOutDate']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#InsertDiagnosisAsk select[name='ReplyCustomerID']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: resources.CommonFun.validateRequired});

      $.formValidator.initConfig({validatorGroup: "2", mode: "AlertTip"});
      $($("#DiagnosisAskUser input[name='UpdatePatientName']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#DiagnosisAskUser input[name='UpdateFirstDoctorName']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});
      $($("#DiagnosisAskUser input[name='UpdateTurnOutDate']")[0]).formValidator({validatorGroup: "2"}).functionValidator({fun: resources.CommonFun.validateRequired});


      $("#loading_div").modal("show");
    },
    showHide: function (mark) {
      if (mark == "∨") {
        return "∧";
      }
      return "∨";
    }
  }
});*/
hospitalReferralListModule.controller("hospitalReferralListController", function ($ionicLoading, $ionicHistory, $scope, $rootScope, $state, $ionicPopup, hospitalReferralListService, enumFactory, commonFunctionFactory, paginationService, resourceService, userService) {
  // 初始化
  $scope.initialize = function () {
    $scope.currentUser = userService.getUser().Body;
    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate() - 30, 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      TurnOutDateBegin: resources.displayText.DateToDayText(beginDate),
      TurnOutDateEnd: resources.displayText.DateToDayText(endDate),
      PatientName: "",
      Status: ""
    };
    $scope.search();
    $scope.showSelect($scope);
  };

  //新增下转页面
  $scope.goHospitalAddReferral = function () {
    $ionicLoading.show({
      content: 'Loading',
      animation: 'fade-in',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    $state.go("hospitalAddReferral");
    $ionicLoading.hide();
  };

  //下转单详情
  $scope.goReferralDetail = function (item) {
    $rootScope.updatePatient = item;
    $state.go("hospitalReferralDetail");
  };

  //返回
  $scope.goBack = function () {
    $ionicHistory.goBack();
  };

  //时间
  $scope.getDateTimeType = function (date) {
    return resources.displayText.DateToDayText(date);
  };

  //时间年月日时分
  $scope.getDateToMinuteText = function (date) {
    return resources.displayText.DateToMinuteText(date);
  };

  //计算年龄
  $scope.calculateAge = function (date) {
    var data = $scope.getDateTimeType(date);
    return resources.CommonFun.calculateAge(data);
  };

  //转院管理状态
  $scope.DiagnosisReplyStatus = function (status) {
    return commonFunctionFactory.displayText.DiagnosisReplyStatus(status);
  };
  /*搜索事件*/
  $scope.search = function () {
    hospitalReferralListService.getDiagnosisReplyList($scope.searchPar, $scope);
  };

  /*最新时间查询事件*/
  $scope.newTimePatientSearch = function () {
    var today = new Date();
    var oldday = new Date(today.getTime() - 6 * 24 * 3600 * 1000);
    var beginDate = new Date(oldday.getFullYear(), oldday.getMonth(), oldday.getDate(), 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      Name: "",
      TurnDownDateBegin: commonFunctionFactory.displayText.DateToDayText(beginDate),
      TurnDownDateEnd: commonFunctionFactory.displayText.DateToDayText(endDate)
    };
    $scope.search();
  };

  /*今日患者事件*/
  $scope.todayPatientSearch = function () {
    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      Name: "",
      TurnDownDateBegin: commonFunctionFactory.displayText.DateToDayText(beginDate),
      TurnDownDateEnd: commonFunctionFactory.displayText.DateToDayText(endDate),
    };
    $scope.search();
  };

  //下拉框查询
  $scope.showSelect = function ($scope) {
    //获取患者列表
    hospitalReferralListService.getPatientList($scope);
    //获取医生列表
    hospitalReferralListService.getUser($scope);
    //获取机构列表
    hospitalReferralListService.getCustomerExclude($scope);
  };

  //列表编辑显示隐藏
  $scope.showDetailed = function (type) {
    if (type == "1") {
      $scope.DetailedShow = true;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = true;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;
    } else if (type == "2") {
      $scope.DiagnosisAskShow = true;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = true;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.DiagnosisAsk != null && $scope.updatePatient.Patient != null) {
        $scope.hide = true;
      }

    } else if (type == "3") {
      $scope.DiagnosisReplyShow = true;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.fileDetailShow = false;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = true;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = false;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.DiagnosisReply == null) {
        $scope.hide = false;
      }

    } else if (type == "0") {
      $scope.DiagnosisReplyShow = false;
      $scope.DiagnosisReplyShow != $scope.DiagnosisReplyShow;
      $scope.DetailedShow = false;
      $scope.DetailedShow != $scope.DetailedShow;
      $scope.DiagnosisAskShow = false;
      $scope.DiagnosisAskShow != $scope.DiagnosisAskShow;
      $scope.fileDetailShow = true;
      $scope.fileDetailShow != $scope.fileDetailShow;

      $scope.SelectedLi = false;
      $scope.SelectedLi != $scope.SelectedLi;
      $scope.SelectedLi2 = false;
      $scope.SelectedLi2 != $scope.SelectedLi2;
      $scope.SelectedLi3 = false;
      $scope.SelectedLi3 != $scope.SelectedLi3;
      $scope.SelectedLi4 = true;
      $scope.SelectedLi4 != $scope.SelectedLi4;

      if ($scope.updatePatient.FileList != null) {
        $scope.hide = true;
      }
    }
  };

  //性别
  $scope.GenderText = function (state) {
    return commonFunctionFactory.displayText.GenderText(state);
  };

  // 分页相关
  $scope.$watch('conf.currentPage', function () {
    if ($scope.changePaginationContent) {
      $scope.DiagnosisReplyList = [];
      $scope.changePaginationContent($scope.DiagnosisReply, $scope.DiagnosisReplyList);
    }
  });

//初始化查找类型
  $scope.searchTypeList = enumFactory.SearchType;

  /*自定义查询事件*/
  $scope.customSearch = function () {
    $scope.searchPar.TurnDownDateBegin = "";
    $scope.searchPar.TurnDownDateEnd = "";
    $scope.searchPar.PatientName = $scope.searchPar.PatientName;
    $scope.search();
  };

  //搜索
  $scope.searchSort = function (value) {

    switch (value) {
      case 0:
        $scope.customSearch();
        break;
      case 1:
        break;
      case 2:
        break;
      case 3:
        break;
      case 4:
        $scope.todayPatientSearch();
        break;
      case 5:
        $scope.newTimePatientSearch();
        break;

    }
  }

  $scope.initialize();
});
angular.bootstrap($('hospitalReferralList'), ['hospitalReferralListModule']);

