/**
 * Created by ylj on 2016/11/29.
 */
var patientManageListModule = angular.module("patientManageListModule",["httpHandlerModule", "resourceModule", "UserModule", "PaginationModule"]);
patientManageListModule.factory("patientManageListFactory",function(commonFunctionFactory){
  return {
     //转换转诊列表
    DealReferralListResponse: function ($scope) {
    if (!$scope.currentPatientMedical.CombinationData) {
      $scope.currentPatientMedical.CombinationData = [];
    }
    //上转诊列表
    if ($scope.currentPatientMedical && $scope.currentPatientMedical.DiagnosisAskList) {
      for (var i = 0; i < $scope.currentPatientMedical.DiagnosisAskList.length; i++) {
        $scope.currentPatientMedical.CombinationData.push({
          DateTime: new Date($scope.currentPatientMedical.DiagnosisAskList[i].CreateTime).Format("yyyy-MM-dd"),
          DataType: 1, //上转诊
          ModelValue: JSON.stringify($scope.currentPatientMedical.DiagnosisAskList[i])
        })
      }
    }

    //下转诊列表
    if ($scope.currentPatientMedical && $scope.currentPatientMedical.DiagnosisReplyList) {
      for (var i = 0; i < $scope.currentPatientMedical.DiagnosisReplyList.length; i++) {
        $scope.currentPatientMedical.CombinationData.push({
          DateTime: new Date($scope.currentPatientMedical.DiagnosisReplyList[i].CreateTime).Format("yyyy-MM-dd"),
          DataType: 2, //下转诊
          ModelValue: JSON.stringify($scope.currentPatientMedical.DiagnosisReplyList[i])
        })
      }
    }
  },
    //转换随访列表
    DealVisitResponse: function ($scope) {
      if ($scope.currentPatientMedical && $scope.currentPatientMedical.VisitList) {
        for (var i = 0; i < $scope.currentPatientMedical.VisitList.length; i++) {
          $scope.currentPatientMedical.CombinationData.push({
            DateTime: new Date($scope.currentPatientMedical.VisitList[i].CreateTime).Format("yyyy-MM-dd"),
            DataType: 3, //回访列表
            ModelValue: JSON.stringify($scope.currentPatientMedical.VisitList[i])
          });
        }
      }
    }
  }
});
patientManageListModule.service("patientManageListService",function($http, httpHandlerService, resourceFactory, patientManageListFactory){
  var service = {};
  //获取患者列表
 /* service.getPatientList = function (data, $scope) {
    httpHandlerService.patientRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          console.log(response.Body.TotalRows);
//          $scope.setTotalItems(response.Body.TotalRows);
//console.log($scope.setTotalItems(response.Body.TotalRows));
//          $scope.getPagination();
//          console.log($scope.getPagination())
          $scope.ToTalPatientList = response.Body.PatientList;
          //console.log($scope.ToTalPatientList);
          if (response.Body.PatientList && response.Body.PatientList.length > 0) {
            $scope.currentPatient = response.Body.PatientList[0].Patient;
            service.getPatientDetailByID($scope);
          }
          else {
            $scope.currentPatient = null;
          }
          $scope.PatientList = [];
          $scope.PatientList = response.Body.PatientList;

          //$scope.changePaginationContent($scope.ToTalPatientList, $scope.PatientList);
        }
        else {
          //alert("当前没有患者");
          navigator.notification.alert("当前没有患者",function(){},"提示消息","确定");
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };*/
  service.getPatientList = function (data, $scope) {
    httpHandlerService.patientRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.setTotalItems(response.Body.TotalRows);
          $scope.getPagination();
          $scope.PatientList = response.Body.PatientList;
          if (response.Body.PatientList && response.Body.PatientList.length > 0) {
            $scope.currentPatient = response.Body.PatientList[0].Patient;
            service.getPatientDetailByID($scope);
          } else {
            $scope.currentPatient = null;
            //alert("当前没有患者");
            navigator.notification.alert("当前没有患者",function(){},"提示消息","确定");
          }
        }
        else {
          //alert("当前没有患者");
          navigator.notification.alert("当前没有患者",function(){},"提示消息","确定");
        }
        $("#loading_div").modal("hide");
      },
      function (response) {
        console.log(response);
      }
    );
  };
  // 新增患者
  service.addPatient = function ($scope) {
   /* if (!$.formValidator.pageIsValid("1")) {
      return;
    }*/
    var data = {Patient: $scope.addPatient, FileList: $scope.uploadedFiles};
    httpHandlerService.patientRequest(data, resourceFactory.operateCode.insert,
      function (response) {
        if (response.Header.StatusCode == 0) {
          navigator.notification.alert("新增成功",function(){},"提示消息","确定");
          //alert("新增成功");
          service.getPatientList($scope.searchPar, $scope);
        }
        else {
          navigator.notification.alert("新增失败",function(){},"提示消息","确定");
          //alert("新增失败");
        }
      },
      function (response) {
        console.log(response);
        //alert("新增失败");
        navigator.notification.alert("新增失败",function(){},"提示消息","确定");
      }
    );
  };

  // 更新患者
  service.updatePatient = function ($scope) {
    if (!$.formValidator.pageIsValid("2")) {
      return;
    }

    for (var i = 0; i < $scope.updatePatient.FileList.length; i++) {
      $scope.updatePatient.FileList[i].State = 2;
    }

    for (var i = 0; i < $scope.uploadedFiles.length; i++) {
      var upload = $scope.uploadedFiles[i];
      var exist = false;
      for (var j = 0; j < $scope.updatePatient.FileList.length; j++) {
        var current = $scope.updatePatient.FileList[j];
        if (upload.FileName == current.FileName) {
          current.State = 0;
          exist = true;
        }
      }

      if (!exist) {
        $scope.updatePatient.FileList.push(upload);
      }
    }

    service.updatePatientToDatabase($scope);
  };

  service.updatePatientToDatabase = function ($scope) {
    httpHandlerService.patientRequest($scope.updatePatient, resourceFactory.operateCode.update,
      function (response) {
        if (response.Header.StatusCode == 0) {
          alert("更新成功");
          service.getPatientList($scope.searchPar, $scope);
        }
        else {
          alert("更新失败");
        }
      },
      function (response) {
        console.log(response);
        alert("更新失败");
      }
    );
  };

  // 上传文件
  service.uploadFiles = function (data, successCallback, errorCallback) {
    return httpHandlerService.uploadFilesRequest(data, successCallback, errorCallback)
  };

  // 文件上传路径base
  service.getFileBase = function (customerID) {
    return httpHandlerService.getFileBase(customerID);
  };
  //获取患者详情
  service.getPatientDetailByID = function ($scope) {
    var data = {};
    if ($scope.currentPatient) {
      data.PatientID = $scope.currentPatient.PatientID;
    }
    try {
      httpHandlerService.getPatientDetailByIDRequest(data, resourceFactory.operateCode.get,
        function (response) {
          if (response.Header.StatusCode == 0) {
            $scope.currentPatientMedical = response.Body;


            if ($scope.currentPatientMedical != null && $scope.currentPatientMedical.List.length > 0) {
              //默认第一个
              if ($scope.currentPatientMedical.List[0].diagnosisAskList.length > 0) {
                $scope.showItemDetail($scope.currentPatientMedical.List[0].diagnosisAskList[0], 1);
              }
              else if ($scope.currentPatientMedical.List[0].diagnosisReplyList.length > 0) {
                $scope.showItemDetail($scope.currentPatientMedical.List[0].diagnosisReplyList[0], 2);
              }
            } else {
              $scope.showItemDetail(null, 4);
            }
          }
          else {
            alert("获取患者详情失败！");
          }
        }, function (response) {
          console.log(response);
        })
    }
    catch (e) {
      console.log(e);
    }
  };

  return service;

});
patientManageListModule.controller("patientManageListController",function($ionicLoading,$ionicHistory,$state,$rootScope,$compile, $scope, patientManageListService, patientManageListFactory, enumFactory, commonFunctionFactory, userService, paginationService, resourceService){

  $scope.initialize = function () {
    $scope.currentUser = userService.getUser().Body;
    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate() - 30, 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      BeginDate: resources.displayText.DateToDayText(beginDate),
      EndDate: resources.displayText.DateToDayText(endDate),
      //BeginDateText: commonFunctionFactory.displayText.DateToDayText(beginDate),
      //EndDateText: commonFunctionFactory.displayText.DateToDayText(endDate),
      Name: ""
    };

    // 暂时只判下级医院 新增权限
    $scope.conReadFile = authentication.checkAuthentication($scope.currentUser.RoleModuleList, "M007", 1);

    // 分页初始化
    paginationService.initialize($scope);
    $scope.search();
    resourceService.activeCurrentMenu("M007");
  };

  $scope.goBack = function(){
    $ionicHistory.goBack();
  };

  /*搜索事件*/
  $scope.search = function () {
    patientManageListService.getPatientList($scope.searchPar, $scope);

  };

  $scope.GenderList = enumFactory.GenderList;

  /*今日患者事件*/
  $scope.todayPatientSearch = function () {

    var today = new Date();
    var beginDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 0, 0, 0);
    var endDate = new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59);
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      BeginDate: commonFunctionFactory.displayText.DateToTimeText(beginDate),
      EndDate: commonFunctionFactory.displayText.DateToTimeText(endDate),
      //BeginDateText: commonFunctionFactory.displayText.DateToDayText(beginDate),
      //EndDateText: commonFunctionFactory.displayText.DateToDayText(endDate),
      Name: ""
    };

    $scope.search();
  };

  /*最新时间查询事件*/
  $scope.newTimePatientSearch = function () {
    $scope.searchPar = {
      BeginRow: 0,
      Rows: 100000,
      Name: "",
      Status: 0 // 未提交
    };
    $scope.search();
  };

  /*自定义查询事件*/
  $scope.customSearch = function () {
    $scope.searchPar.BeginDate = $scope.searchPar.BeginDate;
    $scope.searchPar.EndDate = $scope.searchPar.EndDate;
    $scope.search();
  };

  /*更多查询按钮*/
  $scope.isTrue = false;
  $scope.toggle = function () {
    $scope.isTrue = !$scope.isTrue;
  };

  // 弹出新增患者
  $scope.showAdd = function () {
    $scope.cleanModal();
    $('#addPatient').modal('show');
  };

  /*清空新增患者*/
  $scope.cleanModal = function () {
    $scope.addPatient = {
      Gender: 1,
      Status: 0
    };

    $scope.uploadedFiles = [];
  };

  // 提交审批/删除
  $scope.updateStatus = function (item, type) {
    $scope.updatePatient = JSON.parse(JSON.stringify(item));
    if (type == 1) {
      $scope.updatePatient.Patient.Status = 1;
    } else {
      $scope.updatePatient.Patient.State = 2;
    }

    patientManageListService.updatePatientToDatabase($scope);
  };

  /*提交更新患者*/
  $scope.submitUpdatePatient = function () {
    patientManageListService.updatePatient($scope);
  };

  //根据省份证号码绑定生日，性别
  $scope.IdentityCardBirthday = function () {
    var IdentityCard = $scope.addPatient.IdentityCard;
    var birthday = IdentityCard.substring(6, 14);
    var gender = IdentityCard.substring(16, 17);
    if (birthday.length == 8) {
      if (gender % 2 == 0) {
        $scope.addPatient.Birthday = resources.DataFormat.identityCardformat(birthday);
        $scope.addPatient.Gender = 0;
      } else {
        $scope.addPatient.Birthday = resources.DataFormat.identityCardformat(birthday);
        $scope.addPatient.Gender = 1;
      }
    }
  };

  /*提交新增患者*/
  $scope.submitAddPatient = function () {
    patientManageListService.addPatient($scope);
  };

  // 上传资料 Begin
  $scope.selectFile = function () {
    $("#selectFile").click();
  };

  // 上传资料 End
  $scope.changeFile = function (files) {
    patientManageListService.uploadFiles(files, function (data) {
        if (data == null || data.Body == null) {
          alert("上传失败");
        }

        for (var i = 0; i < data.Body.length; i++) {
          $scope.uploadedFiles.push(data.Body[i]);
        }

        $scope.createFileList($scope.uploadedFiles);
      },
      function (data) {
        alert("上传失败");
      });
  };

  $scope.createFileList = function (files) {
    if (files == null || files.length < 0) {
      return null;
    }

    for (var i = 0; i < files.length; i++) {
      var max = 10;
      var showName = files[i].SourceName;
      if (showName != "") {
        if (showName.length > max) {
          showName = showName.substr(0, max - 3) + "...";
        }

        files[i].ShowName = showName;
        var url = files[i].FileName;
        if (url.indexOf(".png") > -1 || url.indexOf(".jpg") > -1) {
          files[i].ShowUrl = patientManageListService.getFileBase + url;
          files[i].Class = "icon-picture";
        } else {
          files[i].ShowUrl = "../images/pdf.png";
          files[i].ShowFile = patientManageListService.getFileBase + url;
          files[i].IsPDF = true;
          files[i].Class = "icon-file";
        }
      }
    }
  };

  $scope.deleteFile = function (item) {
    var list = $scope.uploadedFiles;
    var newList = [];
    for (var i = 0; i < list.length; i++) {
      if (list[i].FileName != item.FileName) {
        newList.push(list[i]);
      }
    }

    $scope.uploadedFiles = newList;
    $scope.createFileList($scope.uploadedFiles);
  };

  // 点击具体图片
  $scope.showItemDetail = function (item) {
    $scope.detailFile = item;
    $("#fileDetail").modal("show");
  };

  $scope.openFile = function () {
    window.open($scope.detailFile.IsPDF ? $scope.detailFile.ShowFile : $scope.detailFile.ShowUrl);
  };

  //性别
  $scope.GenderText = function (state) {
    return commonFunctionFactory.displayText.GenderText(state);
  };

  //时间
  $scope.DateToDayText = function (date) {
    return commonFunctionFactory.displayText.DateToDayText(date);
  };

  //患者状态
  $scope.PatientStatusText = function (status) {
    return commonFunctionFactory.displayText.PatientStatusText(status);
  };

  // 分页相关
  //$scope.$watch('conf.currentPage', function () {
  //  if ($scope.changePaginationContent) {
  //    $scope.PatientList = [];
  //    $scope.changePaginationContent($scope.ToTalPatientList, $scope.PatientList);
  //  }
  //});

  //转诊类型转换
  $scope.convertAskType = function (type) {
    switch (type) {
      case 0: //门诊
        return "门诊";
      case 1: //住院
        return "住院";
      default:
        return "暂不确定";
    }
  };

  //回放类型转换
  $scope.convertVisitType = function (type) {
    switch (type) {
      case 1: //上转诊
        return "上转诊回访";
      case 2: //下转诊
        return "下转诊回访";
      default:
        return "暂不确定";
    }
  };

  //展示当前选中项的详情
  $scope.showItemDetail = function (item, type, e) {
    $("#cd-timeline div.content_item").removeClass("content_item_active");
    if (e && $(e.target).attr("class").indexOf("content_item_active") < 0) {
      $($(e.target).parent()[0]).addClass("content_item_active");
    }
    switch (type) {
      case 1: //上转诊
        $("#show_detail").children().remove();
        $("#add_new_item").children().remove();
        $scope.currentItem = {
          DataTitle: "上转诊信息",
          UpReferralDetail: item
        };
        var addNewItem = angular.element("<a href='javascript:void(0);' class='icon-plus' ng-click='addNewReservation();'></a>");
        var newItem = $compile(addNewItem)($scope);

        var detailStr = angular.element("<div class='div_row'><span class='first_col_span'>上转诊号：</span>" +
          "<span class='second_col_span' style='width: 50%;'>{{currentItem.UpReferralDetail.DiagnosisAsk.DiagnosisAskNo}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>患者姓名：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.PatientName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>患者年龄：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.PatientAge}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>病情信息：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.Illness}}</span></div>" +
          "<div class='div_row'>" +
          "<div class='row row_space'><hr style='border:1px dashed skyblue;border-bottom:0;border-right:0;border-left:0;width:100%;'/> </div>" +
          "<div class='div_row' style='font-weight: bold;'>转诊信息</div>" +
          "<div class='div_row'><span class='first_col_span'>转诊医生：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.FirstDoctorName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>转诊时间：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.TurnOutDate}}</span></div>" +
          "<div class='div_row'>" +
          "<span class='first_col_span'>接诊医生：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.TreatDoctorName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>接诊时间：</span>" +
          "<span class='second_col_span'>{{currentItem.UpReferralDetail.DiagnosisAsk.TreatDate}}</span>" +
          "</div>" +
          "<div class='div_row'>" +
          "<span class='first_col_span'>转院类型：</span>" +
          "<span class='second_col_span'>{{convertAskType(currentItem.UpReferralDetail.DiagnosisAsk.AskType)}}</span></div>" +
          "<div class='div_row item_div_detail'>" +
          "<span class='first_col_span'>初步诊断：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.UpReferralDetail.DiagnosisAsk.FirstDiagnosis}}</span></div>" +
          "<div class='div_row item_div_detail'><span class='first_col_span'>上院诊断：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.UpReferralDetail.DiagnosisAsk.ReplyCustomerDiagnosis}}</span>" +
          "</div>" +
          "<div class='div_row item_div_detail'><span class='first_col_span'>转院备注：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.UpReferralDetail.DiagnosisAsk.Summary}}</span>" +
          "</div>");
        var element = $compile(detailStr)($scope);
        angular.element($("#show_detail")).append(element);
        break;
      case 2: //下转诊
        $("#show_detail").children().remove();
        $("#add_new_item").children().remove();
        $scope.currentItem = {
          DataTitle: "下转诊信息",
          DownReferralDetail: item
        };
        var detailStr = angular.element("<div class='div_row'><span class='first_col_span'>下转诊号：</span>" +
          "<span class='second_col_span' style='width: 50%;'>{{currentItem.DownReferralDetail.diagnosisReply.DiagnosisReplyNo}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>患者姓名：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.PatientName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>患者年龄：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.PatientAge}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>病情信息：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.Illness}}</span></div>" +
          "<div class='div_row'>" +
          "<div class='row row_space'><hr style='border:1px dashed skyblue;border-bottom:0;border-right:0;border-left:0;width:100%;'/> </div>" +
          "<div class='div_row' style='font-weight:bold;'>转诊信息</div>" +
          "<div class='div_row'><span class='first_col_span'>转诊医生：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.TreatDoctorName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>转诊时间：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.TurnDownDate}}</span></div>" +
          "<div class='div_row'>" +
          "<span class='first_col_span'>接诊医生：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.AskCustomerDoctorName}}</span></div>" +
          "<div class='div_row'><span class='first_col_span'>接诊时间：</span>" +
          "<span class='second_col_span'>{{currentItem.DownReferralDetail.diagnosisReply.AskCustomerDoctorDate}}</span>" +
          "</div>" +
          "<div class='div_row'>" +
          "<span class='first_col_span'>转院类型：</span>" +
          "<span class='second_col_span'>{{convertAskType(currentItem.DownReferralDetail.diagnosisReply.ReplyType)}}</span></div>" +
          "<div class='div_row item_div_detail'><span class='first_col_span'>建议：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.DownReferralDetail.diagnosisReply.Suggestion}}</span>" +
          "</div>" +
          "<div class='div_row item_div_detail'>" +
          "<span class='first_col_span'>出院诊断：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.DownReferralDetail.diagnosisReply.LeaveDiagnosis}}</span></div>" +
          "<div class='div_row item_div_detail'><span class='first_col_span'>治疗情况：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.DownReferralDetail.diagnosisReply.TreatSummary}}</span>" +
          "</div>" +
          "<div class='div_row item_div_detail'>" +
          "<span class='first_col_span'>接诊医生评估：</span>" +
          "<span class='second_col_span item_detail'>{{currentItem.DownReferralDetail.diagnosisReply.AskCustomerEvaluation}}</span>" +
          "</div>");
        var element = $compile(detailStr)($scope);
        angular.element($("#show_detail")).append(element);
        break;
//            case 3: //回访信息
//                $("#show_detail").children().remove();
//                $("#add_new_item").children().remove();
//                $scope.currentItem = {
//                    DataTitle: "回访信息",
//                    VisitDetail: item.Visit
//                };
//                var addNewItem = angular.element("<a href='javascript:void(0);' class='icon-plus' ng-click='addNewVisit();'></a>");
//                var newItem = $compile(addNewItem)($scope);
//
//                var detailStr = angular.element("<div class='div_row'><span class='first_col_span'>回访时间：</span>" +
//                    "<span class='second_col_span_big'>{{currentItem.VisitDetail.VisitDate}}</span></div><div class='div_row item_div_detail'>" +
//                    "<span class='first_col_span'>回访内容：</span>" +
//                    "<span class='second_col_span item_detail'>{{currentItem.VisitDetail.VisitContent}}</span></div>" +
//                    "<div class='div_row'><span class='first_col_span'>回访类型：</span>" +
//                    "<span class='second_col_span'>{{convertVisitType(currentItem.VisitDetail.DiagnosisType)}}</span></div>");
//                var element = $compile(detailStr)($scope);
//                angular.element($("#show_detail")).append(element);
//                break;
      default:
        $scope.currentItem = {
          DataTitle: "暂无信息"
        };
        break;
    }
  };
  //展示患者历史记录
  /*$scope.showMedicalRecord = function (item, index) {
   $scope.selectIndex = index;
   $scope.currentPatient = item.Patient;
   PatientService.getPatientDetailByID($scope);
   console.log(PatientService.getPatientDetailByID($scope));
   console.log($scope);
   };*/
  $scope.showMedicalRecord = function(item){
    $ionicLoading.show({
      content: 'Loading',
      animation: 'fade-in',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    $scope.currentPatient = item.Patient;
    $rootScope.currentPatient = $scope.currentPatient;
    //console.log($rootScope.currentPatient);

    $state.go("patientCureRecord");
    $ionicLoading.hide();
  };


  $scope.initialize();
});
angular.bootstrap($("#patientManageList"), ["patientManageListModule"]);
