/**
 * Created by ylj on 2016/10/19.
 */
var photoImageModule = angular.module("photoImageModule",["httpHandlerModule", "resourceModule", "IMModule", "UserModule"]);

photoImageModule.service("photoImageService", function (httpHandlerService, resourceFactory) {
  var service = {};
  // 上传文件
      service.uploadFiles = function (data, MessageTime, ReceiverID, IsGroup, SenderID, SenderName, $scope) {
          return httpHandlerService.uploadFilesRequest(data, function (data) {
                  if (data == null || data.Body == null || data.Body.length < 1) {

                      console.error("文件上传失败");
                      return;
                  }
                  var fileName = data.Body[0].FileName;
                  var sourceName = data.Body[0].SourceName;
                  service.addChatMessage(MessageTime, ReceiverID, IsGroup, SenderID, SenderName, fileName, 1, sourceName, $scope);
              },
              function (data) {
                  console.error("文件上传失败");
              });
      };

      // 上传聊天记录
          service.addChatMessage = function (MessageTime, ReceiverID, IsGroup, SenderID, SenderName, Message, ChatType, SourceName, $scope) {
              // isGroup 0 否 1 是
              httpHandlerService.chatMessageRequest({
                      MessageTime: MessageTime,
                      ReceiverID: ReceiverID,
                      IsGroup: IsGroup,
                      SenderID: SenderID,
                      SenderName: SenderName,
                      Message: Message,
                      ChatType: ChatType,
                      SourceName: SourceName
                  }, resourceFactory.operateCode.insert,
                  function (response) {
                      if (response.Header.StatusCode == 0) {
                      }
                      else {
                          console.error("添加信息失败");
                      }
                  },
                  function (response) {
                      console.error(response);
                  }
              );
          };

  return service;
  });

photoImageModule.controller("photoImgController",function($state,$ionicHistory,$scope, $rootScope, userService, photoImageService,resourceFactory, $ionicLoading){
  $scope.goBack = function(){
    $ionicHistory.goBack();
  };
$scope.a = false;
  var pictureSource;		//图片来源
	var destinationType;		//设置返回值的格式
	$scope.groupID = $rootScope.groupID;
  $scope.contactID = $rootScope.contactID;
  $scope.currentUser = userService.getUser().Body.User;

	// 等待PhoneGap连接设备
	document.addEventListener("deviceready",onDeviceReady,false);

	// cordova准备就绪，可以使用！
	function onDeviceReady() {
		pictureSource=navigator.camera.PictureSourceType;
		destinationType=navigator.camera.DestinationType;
	}
	// 当成功获得一张照片的Base64编码数据后被调用
  	function onPhotoDataSuccess(imageData) {

  		// 取消注释以查看Base64编码的图像数据
  		// console.log(imageData);
  		// 获取图像句柄
  		var smallImage = document.getElementById('smallImage');

  		// 取消隐藏的图像元素
  		smallImage.style.display = 'block';

  		// 显示拍摄的照片
  		// 使用内嵌CSS规则来缩放图片
  		smallImage.src = "data:image/jpeg;base64," + imageData;
  	}

     // 当成功得到一张照片的URI后被调用
     function onPhotoURISuccess(imageURI) {

  		// 取消注释以查看图片文件的URI
  		// console.log(imageURI);
  		// 获取图片句柄
  		var largeImage = document.getElementById('largeImage');

  		// 取消隐藏的图像元素
  		largeImage.style.display = 'block';

  		// 显示拍摄的照片
  		// 使用内嵌CSS规则来缩放图片
  		largeImage.src = imageURI;
  	}

  $scope.choosePicMenu = function () {

    var options = {
      //这些参数可能要配合着使用，比如选择了sourcetype是0，destinationtype要相应的设置
      quality: 100,                                            //相片质量0-100
      destinationType: Camera.DestinationType.DATA_URL,        //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
      sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,       //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
      allowEdit: false,                                        //在选择之前允许修改截图
      encodingType: Camera.EncodingType.JPEG,                   //保存的图片格式： JPEG = 0, PNG = 1
      targetWidth: 200,                                        //照片宽度
      targetHeight: 200,                                       //照片高度
      mediaType: 0,                                             //可选媒体类型：圖片=0，只允许选择图片將返回指定DestinationType的参数。 視頻格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
      cameraDirection: 0,                                       //枪后摄像头类型：Back= 0,Front-facing = 1
      popoverOptions: CameraPopoverOptions,
      saveToPhotoAlbum: true                                   //保存进手机相册
    };
    navigator.camera.getPicture(function onPhotoDataSuccess(imageData) {

                                  		// 取消注释以查看Base64编码的图像数据
                                  		// console.log(imageData);
                                  		// 获取图像句柄
                                  		var smallImage = document.getElementById('smallImage');

                                  		// 取消隐藏的图像元素
                                  		smallImage.style.display = 'block';

                                  		// 显示拍摄的照片
                                  		// 使用内嵌CSS规则来缩放图片
                                  		smallImage.src = "data:image/jpeg;base64," + imageData;

                                  		var bstr = atob(imageData);
                                  		var n = bstr.length;
                                  		var u8arr = new Uint8Array(n);
                                  		while(n--) {
                                  		    u8arr[n] = bstr.charCodeAt(n);
                                  		}

                                var blob = new Blob([u8arr.buffer], {type: 'image/jpeg'});
                                blob.fileName = new Date().getTime() + ".jpg";

                                var url = URL.createObjectURL(blob);
                                // 获取图像句柄
                                  		sendAttachMsgToServer(blob);
                                  	}, function(err) {
    }, options);
/*$ionicHistory.goBack();*/
  };
  $scope.takePhoto = function () {
$scope.a = true;
    var options = {
      //这些参数可能要配合着使用，比如选择了sourcetype是0，destinationtype要相应的设置
      quality: 100,                                            //相片质量0-100
      destinationType: Camera.DestinationType.FILE_URI,        //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
      sourceType: Camera.PictureSourceType.CAMERA,             //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
      allowEdit: false,                                        //在选择之前允许修改截图
      encodingType: Camera.EncodingType.JPEG,                   //保存的图片格式： JPEG = 0, PNG = 1
      targetWidth: 200,                                        //照片宽度
      targetHeight: 200,                                       //照片高度
      mediaType: 0,                                             //可选媒体类型：圖片=0，只允许选择图片將返回指定DestinationType的参数。 視頻格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
      cameraDirection: 0,                                       //枪后摄像头类型：Back= 0,Front-facing = 1
      popoverOptions: CameraPopoverOptions,
      saveToPhotoAlbum: true                                   //保存进手机相册
    };
    navigator.camera.getPicture(function onPhotoDataSuccess(imageData) {
      // 取消注释以查看Base64编码的图像数据
      // console.log(imageData);
      // 获取图像句柄
      var smallImage = document.getElementById('smallImage');

      // 取消隐藏的图像元素
      smallImage.style.display = 'block';

      // 显示拍摄的照片
      // 使用内嵌CSS规则来缩放图片
      smallImage.src = "data:image/jpeg;base64," + imageData;

    /*  var bstr = atob(imageData);
       var n = bstr.length;
       var u8arr = new Uint8Array(n);
       while(n--) {
       u8arr[n] = bstr.charCodeAt(n);
       }

       var blob = new Blob([u8arr.buffer], {type: 'image/jpeg'});
       blob.fileName = new Date().getTime() + ".jpg";

       var url = URL.createObjectURL(blob);
       // 获取图像句柄
       sendAttachMsgToServer(blob);*/
    }, function(err) {

    }, options);

  };

  $scope.takePhotoUpload=function () {
$scope.a = true;
    var optionsa = {
      //这些参数可能要配合着使用，比如选择了sourcetype是0，destinationtype要相应的设置
      quality: 100,                                            //相片质量0-100
      destinationType: Camera.DestinationType.DATA_URL,        //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
      sourceType: Camera.PictureSourceType.CAMERA,             //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
      allowEdit: false,                                        //在选择之前允许修改截图
      encodingType: Camera.EncodingType.JPEG,                   //保存的图片格式： JPEG = 0, PNG = 1
      targetWidth: 200,                                        //照片宽度
      targetHeight: 200,                                       //照片高度
      mediaType: 0,                                             //可选媒体类型：圖片=0，只允许选择图片將返回指定DestinationType的参数。 視頻格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
      cameraDirection: 0,                                       //枪后摄像头类型：Back= 0,Front-facing = 1
      popoverOptions: CameraPopoverOptions,
      saveToPhotoAlbum: true                                   //保存进手机相册
    };
    navigator.camera.getPicture(function onPhotoDataSuccess(imageURI) {
      var bstr = atob(imageURI);
      var n = bstr.length;
      var u8arr = new Uint8Array(n);
      while(n--) {
        u8arr[n] = bstr.charCodeAt(n);
      }

      var blob = new Blob([u8arr.buffer], {type: 'image/jpeg'});
      blob.fileName = new Date().getTime() + ".jpg";

      var url = URL.createObjectURL(blob);
      // 获取图像句柄
      sendAttachMsgToServer(blob);
    }, function(err) {
    }, optionsa);
   /* $ionicHistory.goBack();*/
  };
// 时间处理
    var generateTime = function () {
        var date = new Date();
        var year = date.getFullYear();
        var month = (date.getMonth() + 1).toString();
        if (month.length == 1) {
            month = "0" + month;
        }

        var day = date.getDate().toString();
        if (day.length == 1) {
            day = "0" + day;
        }

        var hour = date.getHours().toString();
        if (hour.length == 1) {
            hour = "0" + hour;
        }

        var minute = date.getMinutes().toString();
        if (minute.length == 1) {
            minute = "0" + minute;
        }

        var seconds = date.getSeconds().toString();
        if (seconds.length == 1) {
            seconds = "0" + seconds;
        }

        return year + "-" + month + "-" + day + " " + hour + ":" + minute + ":" + seconds;
    };

  // 发送附件到容联云
      var sendAttachMsgToServer = function (file, type, receiver) {
        $ionicLoading.show({
          content: 'Loading',
          animation: 'fade-in',
          showBackdrop: true,
          maxWidth: 200,
          showDelay: 0
        });
      // todo
      type = 4;
      receiver = $scope.contactID;
          var msgId = IM.chat.sendFileMsg(
              file,
              type,
              receiver,
              false,
              function (obj) {
                navigator.notification.alert("发送成功",function(){},"提示消息","确定");
                $ionicLoading.hide();
                $state.go("GroupDiscuss");
              },
              function (obj) { // 失败
                  console.log("错误码： " + obj.code + "; 错误描述：" + obj.msg);
                $ionicLoading.hide();
                navigator.notification.alert("发送附件失败",function(){},"提示消息","确定");
              },
              function (sended, total, msgId) { // 进度条
              });

              photoImageService.uploadFiles(file, generateTime(), $scope.contactID, 1, $scope.currentUser.UserID, $scope.currentUser.Name);

      };

});



