/**
 * Created by ylj on 2016/12/1.
 */
var reportDetailModule = angular.module("reportDetailModule",["httpHandlerModule"]);

reportDetailModule.factory("reportDetailFactory",function(){

});

reportDetailModule.service("reportDetailService",function(httpHandlerService,resourceFactory){
  var service = {};
  //获取检验报告详细
  service.downloadReport2AsImage = function ($scope, request) {
    httpHandlerService.downloadReport2AsImageRequest(request, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          if (!response.Body || response.Body.length == 0) {
            return;
          }

          $scope.ImageName = response.Body[0].Pat_id_imgURL;
          $scope.ReportImage = resourceFactory.address.listReportDomain + response.Body[0].Pat_in_no + "/" + response.Body[0].Pat_id_imgURL;
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };
   return service;
});

reportDetailModule.controller("reportDetailController",function($ionicHistory,$scope,$rootScope,reportDetailService){

  $scope.initialize = function(){
    $scope.PatID = $rootScope.PatID;
    $scope.Pat_in_no = $rootScope.Pat_in_no;
    reportDetailService.downloadReport2AsImage($scope, {
      pat_in_no: $scope.Pat_in_no,
      pat_id: $scope.PatID
    });
  }

  $scope.goBack =function(){
    $ionicHistory.goBack();
  }
  $scope.downloadFile = function () {
    var fileTransfer = new FileTransfer();
    var uri = encodeURI($scope.ReportImage);
    var fileURL = "///storage/emulated/0/download/" + $scope.ImageName;

    fileTransfer.download(
      uri, fileURL, function (entry) {
        //alert("文件下载成功: " + entry.toURL());
        navigator.notification.alert("文件下载成功: " + entry.toURL(),function(){},"提示消息","确定");
        $scope.downloadFilePath = fileURL;
      },

      function (error) {
        console.log("download error source " + error.source);
        console.log("download error target " + error.target);
        console.log("download error code" + error.code);
        //alert("文件下载失败");
        navigator.notification.alert("文件下载失败",function(){},"提示消息","确定");
      }
    );
  };

  $scope.initialize();
});
