/**
 * Created by ylj on 2016/12/13.
 */
var resetPasswordModule = angular.module("resetPasswordModule", ["httpHandlerModule", "resourceModule", "UserModule"]);
resetPasswordModule.service("resetPasswordService", function (httpHandlerService, resourceFactory) {
  var service = {};
  service.getResetPassword = function (data) {
    httpHandlerService.resetPasswordRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };
  return service;
});
resetPasswordModule.controller("resetPasswordController", function ($ionicHistory,$scope, resetPasswordService, userService) {
  $scope.currentUser = userService.getUser().Body;
  $scope.goBack = function(){
    $ionicHistory.goBack();
  }
  $scope.resetPassword = function () {
    if ($scope.confirmPassword == $scope.newPassword && $scope.confirmPassword != null) {
      var data = {
        "UserID": $scope.currentUser.User.UserID,
        "Password": $scope.confirmPassword
      };
      resetPasswordService.getResetPassword(data);
      //alert("密码修改成功");
      navigator.notification.alert("密码修改成功",function(){},"提示消息","确定");
    }
    else {
      //alert("不能为空！");
      navigator.notification.alert("不能为空！",function(){},"提示消息","确定");
    }
  }
});

