/**
 * Created by SS on 2017/2/8.
 */
gysyApp.service("announceService",function(httpHandlerService,resourceFactory){
  var service = {};

  service.openAnnounce = function (data,$scope) {
    httpHandlerService.AnnounceListRequest(data, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.AnnounceList = response.Body.AnnounceList == null ? [] : response.Body.AnnounceList;
          $("#Announcement").modal("show");
        } else {
          //alert("数据获取失败");
          navigator.notification.alert("数据获取失败", function () {
          }, "提示消息", "确定");
        }
      },
      function (response) {
        //alert("数据获取失败，请稍后重试");
        navigator.notification.alert("数据获取失败，请稍后重试", function () {
        }, "提示消息", "确定");
        console.log(response);
      }
    );
  };
  return service;
});

gysyApp.controller("announceController",function($scope,announceService,$ionicHistory,commonFunctionFactory,$ionicPopover){
  $scope.initialize = function(){
    $scope.openAnnouncement();
    $("#announce").hide();
  };

  $scope.goBack = function () {
    $ionicHistory.goBack();
  };

  // 打开公告model
  $scope.openAnnouncement = function () {
    var data = {
      BeginRow: 0,
      Rows: 100000
    };
    announceService.openAnnounce(data,$scope);
  };

  //时间
  $scope.DateToTimeText = function (date) {
    return commonFunctionFactory.displayText.DateToTimeText(date);
  };

  //公告类型
  $scope.AnnounceTypeText = function (type) {
    return commonFunctionFactory.displayText.AnnounceTypeText(type);
  };

  //查看公告详情
  $scope.announceDetail = function (item) {
    $scope.announceContent = item.Detail;
    $("#announce").show();
  };

  $scope.closeAnn = function () {
    $("#announce").hide();
    $scope.announceContent = null;
  };


  $scope.initialize();
});
