/**
 * Created by ylj on 2016/12/23.
 */
//var fileDetailModule = angular.module("fileDetailModule", []);
gysyApp.service("fileDetailService", function (resourceFactory) {
  var service = {};
  //文件上传路径
  service.getFileBase = function () {
    return resourceFactory.address.fileDomain;
  };

  return service;
});
gysyApp.controller("fileDetailController", function ($scope, $ionicHistory, $rootScope, fileDetailService,enumFactory) {

  //传值
  $scope.fileList = $rootScope.fileList;
  $scope.file = $scope.fileList[$rootScope.index];
  //初始化
  $scope.initialize = function () {
    $scope.showEachReadFile($scope.file);
    $scope.ReproductionGender = 0;
    $scope.ReproductionFileTypeList = enumFactory.ReproductionFileDetailTypeListOfFemale;
    if($scope.ReproductionGender === 0){
      $scope.ReproductionFileType = 1;
    }
    $scope.ReproductiveFileState = 0;
  };

  //状态显示
  $scope.showReproductiveFileStateText = function (text) {
    if (text == 1) {
      return "同意";
    } else if (text == 2) {
      return "拒绝"
    } else {
      return "未开始"
    }
  };

  //初始化性别
  $scope.GenderList = enumFactory.GenderList;

  //根据性别初始化资料类型
  $scope.showFileType = function(value){
   if(value === 1){
     $scope.ReproductionFileType = 6;
     $scope.ReproductionFileTypeList = enumFactory.ReproductionFileDetailTypeListOfMale;
   }else{
     $scope.ReproductionFileType = 1;
     $scope.ReproductionFileTypeList = enumFactory.ReproductionFileDetailTypeListOfFemale;
   }
  };

  //返回
  $scope.goBack = function () {
    $ionicHistory.goBack();
  };

  //附件样式
  $scope.showTab = true;
  $scope.bigImage = false;    //初始默认大图是隐藏的
  $scope.hideBigImage = function () {
    $scope.bigImage = false;
    $scope.showTab = true;
  };

  //图片放大
  $scope.showBigImage = function (imageName) {
    $scope.showTab = false;
    $scope.Url = imageName;                   //$scope定义一个变量Url，这里会在大图出现后再次点击隐藏大图使用
    $scope.bigImage = true;
    var rightDisplay = document.getElementById("rightDisplay");
    rightDisplay.style.height = window.screen.height + "px";
  };

// 页面显示相关
  $scope.showEachReadFile = function (file) {
    if (file.SourceName.length > 6) {
      file.SourceName = (file.SourceName).substr(0, 6) + "...";
    }
    if (file.FileName.indexOf(".jpg") > -1 || file.FileName.indexOf(".png") > -1 || file.FileName.indexOf(".jpeg") > -1) {
      return fileDetailService.getFileBase() + file.CustomerID + "/" + file.FileName;
    } else {
      return "img/attachment_icon.png";
    }
  };

  //附件下载
  $scope.downloadImg = function (file) {
    navigator.notification.confirm('您确定要下载吗？', showConfirm, '下载文件', '确定,取消');
    var url = fileDetailService.getFileBase() + file.CustomerID + "/" + file.FileName;
    function showConfirm(button) {
      if (button == 1) {
        download.downloadFile(url);
      } else {
      }
    }
  };

  $scope.initialize();
});
