/**
 * Created by ylj on 2016/12/16.
 */
var findPwdModule = angular.module("findPwdModule", ["httpHandlerModule"]);

findPwdModule.service("findPwdService", function (httpHandlerService, resourceFactory) {
  var service = {};
  //获取验证码
  service.passwordResetSendCodeRequest = function (data) {
    var timeDesc, num = 120, ord = 1;
    var changeTime = function () {
      if (num > 0) {
        num--;
        $("#verificationCode").html('等待(' + num + ')');
        $("#verificationCode").attr("disabled", "disabled");
      } else {
        clearInterval(timeDesc);
        $("#verificationCode").html('获取验证码');
        $("#verificationCode").removeAttr("disabled");
        ord = 1;
        num = 120;
      }
    };
    httpHandlerService.passwordResetSendCodeRequest(data, resourceFactory.operateCode.get, function (response) {
      if (response.Header.StatusCode == 0) {
        timeDesc = setInterval(changeTime, 1000);
        ord = 0;
      }
      else {
        $("#verificationCode").html("获取验证码");
      }
      navigator.notification.alert(response.Header.Message, function () {
      }, "提示消息", "确定");
    }, function () {
      navigator.notification.alert(response.Header.Message, function () {
      }, "提示消息", "确定");
    });
  };
  //改密码
  service.passwordResetByPhoneRequest = function (data) {
    httpHandlerService.passwordResetByPhoneRequest(data, resourceFactory.operateCode.get, function (response) {
      navigator.notification.alert(response.Header.Message, function () {
      }, "提示消息", "确定");
      console.log(response);
    }, function () {
      navigator.notification.alert("修改密码失败", function () {
      }, "提示消息", "确定");
    });
  };
  return service;
});
findPwdModule.controller("findPwdController", function ($ionicHistory, $scope, findPwdService) {
  $scope.goBack = function () {
    $ionicHistory.goBack();
  };

//  获取验证码
  $scope.getPasswordResetSendCode = function () {
    if ($scope.doctorTel != null) {
      var data = {
        "Phone": $scope.doctorTel
      };
      findPwdService.passwordResetSendCodeRequest(data);
    } else {
      navigator.notification.alert("请输入您的手机号码！", function () {
      }, "提示消息", "确定");
    }

  };
//  改密码
  $scope.findPwd = function () {

    if ($scope.doctorTel == null) {
      navigator.notification.alert("请输入你的手机号！", function () {
      }, "提示消息", "确定");
      return;
    }

    if ($scope.verificationCode == null) {
      navigator.notification.alert("请输入验证码！", function () {
      }, "提示消息", "确定");
      return;
    }

    if ($scope.newPwd == null) {
      navigator.notification.alert("请输入新密码！", function () {
      }, "提示消息", "确定");
      return;
    }

    if ($scope.confirmNewPwd == null) {
      navigator.notification.alert("请输入确认密码！", function () {
      }, "提示消息", "确定");
      return;
    }

    if ($scope.newPwd != $scope.confirmNewPwd) {
      navigator.notification.alert("两次密码不一致！", function () {
      }, "提示消息", "确定");
      return;
    }
    var data = {
      "Phone": $scope.doctorTel,
      "Password": $scope.newPwd,
      "SMSCode": $scope.verificationCode
    };
    findPwdService.passwordResetByPhoneRequest(data);

  };
});
