/**
 * Created by ylj on 2016/12/1.
 */
var inspectReportModule = angular.module("inspectReportModule",['httpHandlerModule']);
inspectReportModule.factory("inspectReportFactory",function(){

});
inspectReportModule.service("inspectReportService",function(httpHandlerService,resourceFactory){
  var service = {};
  //获取就诊卡列表
/*  service.getCardList = function ($scope) {
    httpHandlerService.cardListRequest({}, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          $scope.cardList = response.Body.CardList;
          console.log($scope.cardList);
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };*/

  //  获取患者信息
  service.getPatientInfo = function($scope,data){
    // httpHandlerService.getPatientInfoRequest({cardNo:data},resourceFactory.operateCode.get,function(response){
    //   if(response.Header.StatusCode == 0){
    //     $scope.patientInfos = response.Body;
    //     console.log(response.Body);
    //     //console.log($scope.patientInfo);
    //     //alert("获取患者信息成功");
    //     // 获取检查报告
    //     var patientNo = $scope.patientInfos.PatientInfo.PatientId;
       // console.log(data);
        //超声检查报告
        //patientNo = "100000353706";
        //放射检查报告
        //patientNo = "926600004";
       //console.log(patientNo);
        var request = {
          pat_name: "",
          pat_in_no: data,
          pat_bar_code: ""
        };
        service.getInspectReportList($scope, request);
      // }
    // },function(response){
    //   console.log(response);
    //   //alert("获取患者信息失败，请稍后再试");
    //   navigator.notification.alert("获取患者信息失败，请稍后再试",function(){},"提示消息","确定");
    // })
  };

  //获取检查报告列表
  service.getInspectReportList = function ($scope, request) {
    httpHandlerService.getInspectReportRequest(request, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          if (!response.Body ||
            ((!response.Body.UIS || !(response.Body.UIS instanceof Array) || response.Body.UIS.length == 0)
            && (!response.Body.RIS || !(response.Body.RIS instanceof Array) || response.Body.RIS.length == 0))
          ) {
            //commonFunctionFactory.showAlert("该卡暂无检查报告");
            //alert("该卡暂无检查报告");
            navigator.notification.alert("该卡暂无检查报告",function(){},"提示消息","确定");
            console.log(response);
            return;
          }

          // 超声报告
          $scope.patientsInfoList_UIS = response.Body.UIS;

          // 放射报告
          $scope.patientsInfoList_RIS = response.Body.RIS;
        } else {
          //commonFunctionFactory.showAlert("该卡暂无检查报告");
          //alert("暂无检查报告");
          navigator.notification.alert("暂无检查报告",function(){},"提示消息","确定");

        }
      },
      function (response) {
        console.log(response);
        //commonFunctionFactory.showAlert("获取数据失败，请稍后再试");
        //alert("获取数据失败，请稍后再试");
        navigator.notification.alert("获取数据失败，请稍后再试",function(){},"提示消息","确定");
      }
    );
  };

  //获取检查报告详细
  service.downloadInspectReport = function ($scope, request) {
    httpHandlerService.downloadInspectReportRequest(request, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          if (!response.Body || response.Body.length == 0) {
            return;
          }

          $scope.ImageName_InspectReport = response.Body[0].Pat_id_imgURL;
          $scope.ReportImage_InspectReport = resourceFactory.address.listReportDomain + response.Body[0].Pat_in_no + "/" + response.Body[0].Pat_id_imgURL;
        }
      },
      function (response) {
        console.log(response);
      }
    );
  };


  return service;
});
inspectReportModule.controller("inspectReportController",function($ionicHistory,$scope, $state, userService, inspectReportService, $rootScope){

  $scope.initialize = function(){
    $scope.cardList = [];
    $scope.cardInfo = {};
  };
  //搜索就诊卡号
  $scope.suiyi = function(test){
    //console.log(test);
    inspectReportService.getPatientInfo($scope,test);
    if(!test){
      return;
    }
  };

  $scope.goBack = function(){
    $ionicHistory.goBack();
  };

  $scope.goReportDetail_InspectReport = function(patientsInfo) {
    $rootScope.Pat_report_date_InspectReport = patientsInfo.Pat_report_date;
    $rootScope.Pat_report_description_InspectReport = patientsInfo.Pat_report_description;
    $rootScope.Pat_report_doctorname_InspectReport = patientsInfo.Pat_report_doctorname;
    $rootScope.Pat_report_impression_InspectReport = patientsInfo.Pat_report_impression;
    $rootScope.Pat_report_name_InspectReport = patientsInfo.Pat_report_name;
    $rootScope.Pat_report_positivemark_InspectReport = patientsInfo.Pat_report_positivemark;
    $state.go("inspectReportDetail");
  };

  //切换就诊卡
  $scope.checkCard = function (card) {
    if(!card){
      return;
    }
    // 获取检查报告
      var patientNo = card.PatientId;
      //var patientNo = "100000353706";
      var request = {
        pat_name: "",
        pat_in_no: patientNo,
        pat_bar_code: ""
      };
    inspectReportService.getInspectReportList($scope, request);
  };
});

