var loginModule = angular.module("LoginModule", ["httpHandlerModule", "resourceModule", "UserModule"]);

loginModule.factory("LoginFactory", function (commonFunctionFactory) {
  return {
    initialize: function () {
      // 验证
      $.formValidator.initConfig({validatorGroup: "1", mode: "AlertTip"});
      /*        $($("#content input[name='accountName']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: commonFunctionFactory.validate.validateRequired});
       $($("#content input[name='password']")[0]).formValidator({validatorGroup: "1"}).functionValidator({fun: commonFunctionFactory.validate.validateRequired});*/
    }
  }
});

loginModule.service("LoginService", function ($http, httpHandlerService, userService, $state) {
  var loginService = {};

  //登录
  loginService.login = function (userInfo) {
    httpHandlerService.loginRequest(userInfo,
      function (response) {
        if (response.Header.StatusCode == 0) {
          userService.setUser(response);
          var currentUser = userService.getUser();
          console.log(currentUser);
          // 推送
          pushGoEasy.initialize();
          if (currentUser.Body.UserDepartmentList && currentUser.Body.UserDepartmentList.length > 0) {
            for (var i = 0; i < currentUser.Body.UserDepartmentList.length; i++) {
              var channel = "gy3y_read_channel_" + currentUser.Body.UserDepartmentList[i].DepartmentID;
              pushGoEasy.subscribe(channel, function (result) {
                var content = JSON.parse(result.content);
                // 读片的创建者 或接受者 接受科室才能接受
                if (currentUser.Body.User.UserID == content.Header.ReceiverID || currentUser.Body.User.DepartmentID == content.Header.DepartmentID) {
                  navigator.notification.alert(content.Body.content, function () {
                  }, "系统消息", "确定");
                  navigator.notification.vibrate(1500);
                }
              });
            }
          }
          // 转诊分配
          var diagnosisAskChannel = "diagnosis_channel_" + currentUser.Body.User.UserID;
          pushGoEasy.subscribe(diagnosisAskChannel, function (result) {
            var content = JSON.parse(result.content);
            //接收的医生才能接收
            //if (currentUser.Body.User.UserID == content.Header.diagnosisAsk.ReceiveDoctorID) {
              navigator.notification.alert(content.Body.content, function () {
              }, "系统消息", "确定");
              navigator.notification.vibrate(1500);
            //}
          });
          if (response.Body.MedicalUser != null) {
            window.location.href = "index.html";
          } else {
            var currentUser = userService.getUser();
            //currentUser.Body.IsTop == 1?$state.go("hospitalReferralList"):$state.go("communityReferralList");
            if(currentUser.Body.UserType == 2){
              $state.go("ionTabs");
              if (currentUser.Body.User.HasModifyPassword == 0) {
                //navigator.notification.alert("您的密码为初始密码建议您修改密码!", function () {
                //}, "系统消息", "确定");
                //alert("您的密码为初始密码建议您修改密码!")
              };
            }
            else{
              if (currentUser.Body.RoleModuleList.length == 0) {
                return  navigator.notification.alert("用户未分配权限!", function () {
                }, "系统消息", "确定");
                //alert("用户未分配权限!");

              }else{
                $state.go("ionTabs");
                if (currentUser.Body.User.HasModifyPassword == 0) {
                  //navigator.notification.alert("您的密码为初始密码建议您修改密码!", function () {
                  //}, "系统消息", "确定");
                  //alert("您的密码为初始密码建议您修改密码!")
                };
              }
            }
          }
        } else {
          // navigator.notification.alert(response.Header.Message, function () {
          // }, "提示消息", "确定");
          //alert(response.Header.Message);
          // navigator.notification.alert("登录失败", function () {
          // }, "提示消息", "确定");
          //alert(response.Header.Message);
        }
      },
      function (response) {
        console.log(response);
      });
  };

  return loginService;
});
gysyApp.controller("loginController", function ($scope, $state, LoginService, LoginFactory, $ionicPopup, userService, sessionFactory) {

  //显示弹出框
  /* $scope.showPopup = function (title, modelName) {
   /!* var template = "<input type='text' ng-model='" + modelName+"'>";*!/
   $ionicPopup.show({
   template: "<input type='text' ng-model='" + modelName + "'>",
   title: title,
   scope: $scope,
   buttons: [
   {
   text: "确定",
   }
   ]
   })
   .then(function (res) {
   });
   };*/
  //$("#footer").css("display", "none");
  //LoginFactory.initialize();
  $scope.initialize = function () {
    $scope.ll = true;
    $scope.ff = false;

    var currentUser = userService.getUser();
    $scope.user = {
      UserName: "",
      Password: ""
    };

    /*if($scope.getCookieValue("userName") != "" || $scope.getCookieValue("passWord")!= ""){
     console.log($scope.getCookieValue("userName"));
     $scope.user.UserName = $scope.getCookieValue("userName");
     $scope.user.Password = $scope.getCookieValue("passWord");
     $scope.aa = true;
     }else{
     console.log("没有cookie");
     }*/

    if ($scope.getLocalStorage("userName") != null && $scope.getLocalStorage("password") != null) {
      $scope.aa = true;
      $scope.user.UserName = $scope.getLocalStorage("userName");
      $scope.user.Password = $scope.getLocalStorage("password");

    } else {
      console.log("没有LocalStorage");
    }
  };

  $scope.testaa = function(){
    $scope.ll = true;
    $scope.ff = false;
  };
  $scope.testbb = function(){
    $scope.ll = false;
    $scope.ff = true;
  };

  $scope.clearPwd = function(){
    $scope.user.Password = "";
    $scope.aa == false;
  };

  //回车登录
  $scope.enterLogin = function ($event) {
    var keyCode = window.event ? $event.keyCode : $event.which;
    if (keyCode == 13) {
      $scope.login();
    }
  };

  /* //循环遍历，取key值username和password的value
   for (var i = localStorage.length - 1; i >= 0; i--) {
   if (localStorage.key(i) == "username") {
   $scope.user.username = localStorage.getItem(localStorage.key(i));
   }
   if (localStorage.key(i) == "password") {
   $scope.user.password = localStorage.getItem(localStorage.key(i));
   }
   }*/
  //sessionFactory
  /*$scope.bb = function(data){
   if(data == true){
   $scope.aa = false;
   console.log($scope.aa);

   var result1 = sessionFactory.getDataFromSession('rememberPassword');
   var result2 = sessionFactory.getDataFromSession('rememberUserName');
   console.log(result1);
   console.log(result2);
   var result3 = sessionFactory.deleteDataFromSession('rememberUserName');
   var result4 = sessionFactory.deleteDataFromSession('rememberPassword');
   console.log(result3);
   console.log(result4);
   }else{
   $scope.aa = true;
   sessionFactory.saveDataToSession('rememberPassword', $scope.user.Password);
   sessionFactory.saveDataToSession('rememberUserName', $scope.user.UserName);
   console.log($scope.aa);
   var result1 = sessionFactory.getDataFromSession('rememberPassword');
   var result2 = sessionFactory.getDataFromSession('rememberUserName');
   console.log(result1);
   console.log(result2);
   $scope.user.UserName = result2;
   $scope.user.Password = result1;
   console.info($scope.user.UserName);
   console.error($scope.user.Password);
   }
   };*/
  /*cookie*/
  /* $scope.addCookie = function(name,value,days){
   var name = encodeURI(name);
   var value = encodeURI(value);
   var expires = new Date();
   expires.setTime(expires.getTime() + days * 3600000 * 24);
   //GMT(Greenwich Mean Time)是格林尼治平时，现在的标准时间，协调世界时是UTC
   //参数days只能是数字型
   var _expires = (typeof days) == "string" ? "" : ";expires=" + expires.toUTCString();
   document.cookie = name + "=" + value + _expires;
   }
   $scope.getCookieValue = function(name){
   //用处理字符串的方式查找到key对应value
   var name = encodeURI(name);
   //读cookie属性，这将返回文档的所有cookie
   var allcookies = document.cookie;
   //查找名为name的cookie的开始位置
   name += "=";
   var pos = allcookies.indexOf(name);
   //如果找到了具有该名字的cookie，那么提取并使用它的值
   if (pos != -1){                                             //如果pos值为-1则说明搜索"version="失败
   var start = pos + name.length;                  //cookie值开始的位置
   var end = allcookies.indexOf(";",start);        //从cookie值开始的位置起搜索第一个";"的位置,即cookie值结尾的位置
   if (end == -1) end = allcookies.length;        //如果end值为-1说明cookie列表里只有一个cookie
   var value = allcookies.substring(start,end); //提取cookie的值
   return (value);                           //对它解码
   }else{  //搜索失败，返回空字符串
   return "";
   }
   }
   $scope.deleteCookie = function(name){
   var name = encodeURI(name);
   var expires = new Date(0);
   document.cookie = name + "="+ ";expires=" + expires.toUTCString();
   }
   $scope.bb = function(data){
   if(data == true){
   $scope.aa = false;
   console.log($scope.aa);

   }else{
   $scope.aa = true;
   console.log($scope.aa);
   /!* $scope.addCookie("userName",$scope.user.UserName,7);
   $scope.addCookie("passWord",$scope.user.Password,7);*!/
   }
   };*/
  /*cookie*/
  /*localStorage*/
  $scope.addLocalStorage = function (key, value) {
    window.localStorage.setItem(key, value);
  };
  $scope.getLocalStorage = function (key) {
    return window.localStorage.getItem(key);
  };
  $scope.removeLocalStorage = function (key) {
    window.localStorage.removeItem(key);
  };
  $scope.bb = function (data) {
    if (data == true) {
      $scope.aa = false;
      console.log($scope.aa);
    } else {
      $scope.aa = true;
      console.log($scope.aa);
    }
  };
  /*localStorage*/
  $scope.goUpForm = function () {
    if ($scope.user.UserName == "" || $scope.user.UserName == null) {
      //alert("请输入登录账户");
      navigator.notification.alert("请输入登录账户", function () {
      }, "提示消息", "确定");
    } else if ($scope.user.Password == "" || $scope.user.Password == null) {
      //alert("请输入您的密码");
      navigator.notification.alert("请输入您的密码", function () {
      }, "提示消息", "确定");
    } else {
      /* if($scope.aa == true ){
       $scope.addCookie("userName",$scope.user.UserName,7);
       $scope.addCookie("passWord",$scope.user.Password,7);
       }else{
       $scope.deleteCookie("userName");
       $scope.deleteCookie("passWord");
       }*/
      if ($scope.aa == true) {
        $scope.addLocalStorage("userName", $scope.user.UserName);
        $scope.addLocalStorage("password", $scope.user.Password);
        LoginService.login($scope.user);
      } else {
        $scope.removeLocalStorage("userName");
        $scope.removeLocalStorage("password");
        LoginService.login($scope.user);
      }
      ////存储localStorage，key值：username，value：用户名
      //localStorage.setItem("username", $scope.user.UserName);
      ////存储localStorage，key值：password，value：密码
      //localStorage.setItem("password", $scope.user.Password);

    }

    /*$state.go("loginIndex");*/

  };
  //找回密码
  $scope.goFindPwd = function () {
    $state.go("findPwd");
  };

  $scope.initialize();
});
