/**
 * Created by ylj on 2016/12/1.
 */
var patientReportModule = angular.module("patientReportModule", ["httpHandlerModule"]);

patientReportModule.factory("patientReportFactory", function () {

});

patientReportModule.service("patientReportService", function (httpHandlerService,resourceFactory) {
  var service = {};

  //  获取患者信息
  service.getPatientInfo = function($scope,data){
    httpHandlerService.getPatientInfoRequest({cardNo:data},resourceFactory.operateCode.get,function(response){
      if(response.Header.StatusCode == 0){
        $scope.patientInfos = response.Body;
        console.log(response.Body);
        //console.log($scope.patientInfo);
        //alert("获取患者信息成功");
        // 获取检查报告
        var patientNo = $scope.patientInfos.PatientInfo.PatientId;
        //patientNo = "0000101600";
        var request = {
          pat_name: "",
          pat_in_no: patientNo,
          pat_bar_code: ""
        };

        service.getPatientsInfoList($scope, request);
      }
    },function(response){
      console.log(response);
      navigator.notification.alert("获取患者信息失败，请稍后再试",function(){},"提示消息","确定");
      //alert("获取患者信息失败，请稍后再试")
    })
  };

  //获取检验报告列表
  service.getPatientsInfoList = function ($scope, request) {
    httpHandlerService.getPatientsInfoRequest(request, resourceFactory.operateCode.get,
      function (response) {
        if (response.Header.StatusCode == 0) {
          if (!response.Body || !(response.Body instanceof Array) || response.Body.length == 0) {
            //commonFunctionFactory.showAlert("该卡暂无检验报告");
            //alert("暂无检验报告");
            navigator.notification.alert("暂无检验报告",function(){},"提示消息","确定");
            console.log(response);
            return;
          }
          $scope.patientsInfoList = response.Body;
        } else {
          //commonFunctionFactory.showAlert("该卡暂无检验报告");
          console.log(response);
          navigator.notification.alert("暂无检验报告",function(){},"提示消息","确定");
          //alert("暂无检验报告");
        }
      },
      function (response) {
        //commonFunctionFactory.showAlert("获取数据失败，请稍后再试");
        //alert("获取数据失败，请稍后再试")
        navigator.notification.alert("获取数据失败，请稍后再试",function(){},"提示消息","确定");
        console.log(response);
      }
    );
  };
  return service;
});

patientReportModule.controller("patientReportController", function ($ionicHistory,$scope, $state, $rootScope,patientReportService) {

  $scope.goBack = function(){
    $ionicHistory.goBack();
  };
  //切换就诊卡
  $scope.searchPatientReport = function (card) {
    console.log(card);
    if (!card) {
      return;
    }
   /* // 获取检验报告
    //var patientNo = card.PatientId;
    var patientNo = "0000101600";
    var request = {
      pat_name: "",
      pat_in_no: patientNo,
      pat_bar_code: ""
    };*/
    //patientReportService.getPatientsInfoList($scope, request);
    //patientReportService.getPatientInfo($scope,card);

    var request = {
      pat_name: "",
      pat_in_no: card,
      pat_bar_code: ""
    };
    patientReportService.getPatientsInfoList($scope, request);

  };

  $scope.goReportDetail = function (patID, Pat_in_no) {
    $rootScope.PatID = patID;
    $rootScope.Pat_in_no = Pat_in_no;
    $state.go("reportDetail");
  };


});
