/**
 * Created by ylj on 2016/10/14.
 */
var userInfoModule = angular.module("userInfoModule", ['UserModule', 'sessionModule']);

userInfoModule.service("userInfoService", function (resourceFactory, httpHandlerService) {
  var service = {};

  //保存个人信息
  service.saveUserInfo = function (data) {
    try {
      httpHandlerService.userRequest(data, resourceFactory.operateCode.update,
        function (response) {
          if (response.Header.StatusCode == 0) {
            resources.CommonFun.getDataFromSession("CurrentUser").User = response;
            //alert("保存成功！");
            navigator.notification.alert("保存成功！", function () {
            }, "提示消息", "确定");
          }
          else {
            //alert("保存失败，请稍候重试！");
            navigator.notification.alert("保存失败", function () {
            }, "提示消息", "确定");
          }
        },
        function (response) {
          navigator.notification.alert(response, function () {
          }, "提示消息", "确定");
          //alert(response);
        });
    }
    catch (e) {
      console.log(e);
    }
  };
  return service;
});
userInfoModule.controller("userInfoController", function ($scope, $ionicHistory, userService, $state,userInfoService) {
  $scope.GenderList = resources.factoryList;
  $scope.currentUser = userService.getUser().Body;
  $scope.goBack = function () {
    $ionicHistory.goBack();
  };
  $scope.goResetPassword = function () {
    $state.go("resetPassword");
  }
  $scope.saveUserInfo = function () {
    data = {User: $scope.currentUser.User};
    userInfoService.saveUserInfo(data);
  };
  $scope.saveDetail = function () {
    $scope.currentUser.User.Name = $scope.currentUser.User.Name;
  }
})
